<!doctype html>
<html lang="en" class="light-theme">

    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <!-- loader-->
        <link href="assets/css/pace.min.css" rel="stylesheet" />
        <script src="assets/js/pace.min.js"></script>

        <!--plugins-->
        <link href="assets/plugins/perfect-scrollbar/css/perfect-scrollbar.css" rel="stylesheet" />

        <!-- CSS Files -->
        <link href="assets/css/bootstrap.min.css" rel="stylesheet">
        <link href="assets/css/bootstrap-extended.css" rel="stylesheet">
        <link href="assets/css/style.css" rel="stylesheet">
        <link href="assets/css/icons.css" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap" rel="stylesheet">
        <link rel="shortcut icon" href="img/logo.png">

        <title>Almacen Innovasuelas</title>
    </head>

    <body>
        <div class="login-bg-overlay au-sign-up-basic"></div>
        <!--start wrapper-->
        <div class="wrapper">
            <header>
                <nav class="navbar navbar-expand-lg navbar-light bg-white p-3">
                    <div class="container-fluid">
                        <a href="javascript:;">INNOVASUELAS 2025 </a>

                    </div>
                </nav>
            </header>
            <div class="container">
                <div class="row">
                    <div class="col-xl-5 col-lg-6 col-md-7 mx-auto mt-5">
                        <div class="card radius-10">
                            <div class="card-body p-4">
                                <div class="text-center">
                                    <a href="javascript:;"><img src="img/logo.png" width="150" alt="" /></a>
                                    <h5>Almacen Innovasuelas 2025</h5>
                                </div>
                                <form method="POST"  action="script/login.php" class="form-body row g-3">
                                    <div class="col-12">
                                        <label for="inputEmail" class="form-label">Usuario</label>
                                        <input type="text" class="form-control" id="inputEmail" placeholder="Digite usuario" name="usuario">
                                    </div>
                                    <div class="col-12">
                                        <label for="inputPassword" class="form-label">Clave</label>
                                        <input type="password" class="form-control" id="inputPassword" placeholder="Digite clave" name="clave">
                                    </div>
                                    <div class="col-12 col-lg-12">
                                        <div class="d-grid">
                                            <button type="submit" class="btn btn-info">Iniciar sesion</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <footer class="my-5">
                <div class="container">
                    <div class="d-flex align-items-center gap-4 fs-5 justify-content-center social-login-footer">
                        <a href="javascript:;">
                            <ion-icon name="logo-twitter"></ion-icon>
                        </a>
                        <a href="javascript:;">
                            <ion-icon name="logo-linkedin"></ion-icon>
                        </a>
                        <a href="javascript:;">
                            <ion-icon name="logo-github"></ion-icon>
                        </a>
                        <a href="javascript:;">
                            <ion-icon name="logo-facebook"></ion-icon>
                        </a>
                        <a href="javascript:;">
                            <ion-icon name="logo-pinterest"></ion-icon>
                        </a>
                    </div>
                    <div class="text-center">
                        <p class="my-4">Almacen innovasuelas 2025</p>
                    </div>
                </div>
            </footer>
        </div>
        <!--end wrapper-->
    </body>
</html>
