<?php
session_start();
include '../../script/conexion.php';
require '../general/validacion.php';

$id_pedido = $_GET['id_pedido'];

$sql = "SELECT * FROM pedido WHERE id='$id_pedido'";
$query = $conn->query($sql);
$row = $query->fetch_assoc();

$sqlp = "SELECT * FROM tercero WHERE nombre='" . $row['nombre_tercero'] . "'";
$queryp = $conn->query($sqlp);
$rowp = $queryp->fetch_assoc();
?>
<!doctype html>
<html lang="en" class="light-theme">
    <head>

        <?php include '../general/libreria-css.php'; ?>


    </head>
    <body>
        <!--start wrapper-->
        <div class="wrapper">
            <?php echo include '../general/menu.php'; ?>

            <!-- start page content wrapper-->
            <div class="page-content-wrapper">
                <!-- start page content-->
                <div class="page-content">

                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="../inicio/inicio.php"> 
                                    <ion-icon name="home-outline"></ion-icon>
                                </a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="pedido.php"> 
                                    Pedidos
                                </a>
                            </li>
                            <li class="breadcrumb-item active" aria-current="page">   ODP-<?php echo $id_pedido; ?> <?php echo $row['nombre_tercero']; ?></li>
                        </ol>
                    </nav>



                    <div class="card">
                        <div class="card-body bg-gradient-warning text-center">
                            <h3><b>PEDIDO</b> <b class="text-white">ODP <?php echo $id_pedido; ?></b> </h3>
                        </div>
                    </div>

                    <div class="card" id="areaImprimir">
                        <div class="card-body" style="">

                            <style>
                                .ancho{
                                    width: 2.5%;
                                    text-align: center;
                                }

                                #hover_enlace:hover{
                                    color: orange;
                                    border-radius: 10px;
                                    border: lightcoral 1px solid;
                                    box-shadow: 0px 0px 5px 0px lightcoral;
                                }
                            </style>

                            <div class="row mt-5">
                                <div class="col-sm-10">
                                    <h4 class="text-uppercase ">
                                        <b class="text-dark"><?php echo $row['nombre_tercero']; ?></b>
                                    </h4>
                                </div>
                                <div class="col-sm-2 text-end">
                                    <?php
                                    if ($row['estado'] == 'Proceso') {
                                        $color_estado = 'badge alert-info';
                                        $color_estado_2 = '';
                                    } elseif ($row['estado'] == 'Confirmado') {
                                        $color_estado = 'badge bg-pink';
                                        $color_estado_2 = '';
                                    } elseif ($row['estado'] == 'Recibido') {
                                        $color_estado = 'badge alert-success';
                                        $color_estado_2 = '';
                                    } elseif ($row['estado'] == 'Cancelado') {
                                        $color_estado = 'badge alert-secondary';
                                        $color_estado_2 = '';
                                    }
                                    ?>
                                    <div class="dropdown">
                                        <button class=" dropdown-toggle badge <?php echo $color_estado; ?>" style="font-size: 13px; <?php echo $color_estado_2; ?>;" type="button" data-bs-toggle="dropdown" aria-expanded="false"><?php echo $row['estado']; ?></button>
                                        <ul class="dropdown-menu">
                                            <li>
                                                <a class="dropdown-item" href="script/pedido-estado-editar.php?id_pedido=<?php echo $id_pedido ?>&&estado=Proceso">
                                                    <i class="fas fa-circle text-info" style="font-size: 13px;"></i> Proceso</a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item" href="script/pedido-estado-editar.php?id_pedido=<?php echo $id_pedido ?>&&estado=Confirmado">
                                                    <i class="fas fa-circle text-pink" style="font-size: 13px;"></i> Confirmado</a>
                                            </li>
                                             <li>
                                                <a class="dropdown-item" href="script/pedido-estado-editar.php?id_pedido=<?php echo $id_pedido ?>&&estado=Recibido">
                                                    <i class="fas fa-circle text-success" style="font-size: 13px;"></i> Recibido</a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item" href="script/pedido-estado-editar.php?id_pedido=<?php echo $id_pedido ?>&&estado=Cancelado" 
                                                   onclick="if (!confirm('Seguro deseas cancelar este pedido?')) {
                                                               return false
                                                           }">
                                                    <i class="fas fa-circle text-secondary" style="font-size: 13px;"></i> Cancelado</a>
                                            </li>
                                        </ul>
                                    </div>
                                </div>


                            </div>



                            <div class="row p-2 ">
                                <div class="col-sm-12">
                                    <div class="row bg-light-warning p-0 h6" style="" >
                                        <div class="col-sm-3" >
                                            <strong class="text-uppercase ">ORDEN DE PEDIDO :  
                                                <strong class="text-body text-primary" >ODP <?php echo $row['id']; ?></strong>
                                            </strong>
                                        </div>
                                        <div class="col-sm-5">
                                            <strong class="text-uppercase " style="color: black;">QUIEN REGISTRA:  
                                                <strong class="text-body " style="color: gray"><?php echo $row['nombre_usuario']; ?></strong>
                                            </strong>
                                        </div>
                                        <div class="col-sm-2 text-end" >

                                        </div>

                                        <div class="col-sm-2 text-end h4">
                                            <strong class="text-uppercase ">  
                                                <?php echo $row['fecha']; ?>
                                            </strong>
                                        </div>

                                    </div>
                                </div>
                            </div>

                            <div class="table-responsive  mb-0">

                                <table class="table  table-sm table-striped table-bordered">
                                    <thead>
                                        <tr class="bg-gradient-warning text-dark" style="border-color: black;">
                                            <th class="text-center p-0 " style="width: 5%;">INNOVASUELAS</th>
                                            <th class="text-center p-0 " style="width: 30%;">DATOS DE PEDIDO</th>
                                            <th class="text-center p-0 " style="width: 30%;">OBSERVACION</th>
                                            <th class="text-center p-0 " style="width: 5%;">No PEDIDO</th>         
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr style="border-color: black;">
                                            <td class="text-center">
                                                <img src="../../img/logo.png" width="60" height="" alt="alt"/>
                                            </td>
                                            <td>

                                                <span class="text-dark">CLIENTE:</span> <mark><b><?php echo $row['nombre_tercero']; ?></b></mark><br>
                                                <span class="text-dark">TEL:</span> <mark><b><?php echo $rowp['telefono']; ?></b></mark><br>
                                            </td>
                                            <td>
                                                <mark><?php echo $row['observacion']; ?></mark>
                                            </td>
                                            <td class="align-middle text-center"> 
                                                <h3><b><?php echo $row['numero_pedido']; ?></b></h3>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>




                            <div class="row d-print-none ">           
                                <div class="col-xl-6">
                                </div>
                                <div class="col-xl-6 text-end">

                                    <?php
                                    if ($row['estado'] == 'Proceso') {
                                        ?>

                                        <a class="btn btn-warning px-5 radius-30" href="#!" data-bs-toggle="modal" data-bs-target="#editar_venta">
                                            <i class="far fa-edit me-2" ></i>Actualizar datos
                                        </a>

                                        <?php
                                    } else {
                                        
                                    }
                                    ?>

                                    <div class="modal fade" id="editar_venta" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-xs">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title card-heading" id="exampleModalLabel">Formulario | Editar pedido</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <form class=" g-3 needs-validation text-start" novalidate="" method="POST" action="script/pedido-editar.php">
                                                    <input class="form-control" type="text" required="" name="id_pedido" value="<?php echo $id_pedido; ?>"  hidden>
                                                    <input class="form-control" type="text" required="" name="nombre_usuario" value="<?php echo $rowusu['nombre']; ?>"  hidden>


                                                    <div class="modal-body ">
                                                        <div class="row">
                                                            <div class="col-md-12">

                                                                <style>
                                                                    .inputcss{
                                                                        color: brown;
                                                                        font-weight: 500;
                                                                    }
                                                                </style>


                                                                <?php
                                                                if ($row['estado'] != 'Proceso') {
                                                                    $readonly = '';
                                                                } else {
                                                                    $readonly = '';
                                                                }
                                                                ?>


                                                                <div class="row ">
                                                                    <div class="col-md-6">
                                                                        <label class="form-label" for="validationCustom01">Fecha:</label>
                                                                        <input class="form-control inputcss"  type="date" name="fecha" value="<?php echo $row['fecha']; ?>" <?php echo $readonly; ?>  required="">
                                                                        <div class="valid-feedback">Se ve bien!</div>
                                                                        <div class="invalid-feedback">Por favor, seleccione un fecha para el pedido.</div>
                                                                    </div>

                                                                    <div class="col-md-6">
                                                                        <label class="form-label" for="validationCustom02">No Pedido:</label>
                                                                        <input class="form-control inputcss "   type="text" required="" name="numero_pedido" value="<?php echo $row['numero_pedido']; ?>" <?php echo $readonly; ?>>
                                                                        <div class="valid-feedback">Se ve bien!</div>
                                                                        <div class="invalid-feedback">Por favor, Digite un numero de pedido.</div>
                                                                    </div>  


                                                                    <div class="col-md-12 mt-3">
                                                                        <label class="form-label" for="validationCustom01">Nombre tercero:</label>


                                                                        <select class="form-select choices-1" id="validationCustom04" required="" name="nombre_tercero" <?php echo $readonly; ?>>
                                                                            <option value="<?php echo $row['nombre_tercero']; ?>"><?php echo $row['nombre_tercero']; ?></option>
                                                                            <option disabled="" value="">Seleccione</option>
                                                                            <option value="VARIOS">VARIOS</option>
                                                                            <?php
                                                                            $sql6m = "SELECT * FROM tercero ORDER BY nombre asc";
                                                                            $query6m = $conn->query($sql6m);
                                                                            if ($query6m->num_rows > 0) {
                                                                                while ($row6m = $query6m->fetch_assoc()) {
                                                                                    ?>

                                                                                    <option value="<?php echo $row6m['nombre'] ?>"><?php echo $row6m['nombre'] ?></option>
                                                                                    <?php
                                                                                }
                                                                            }
                                                                            ?>
                                                                        </select>


                                                                        <div class="valid-feedback">Se ve bien!</div>
                                                                        <div class="invalid-feedback">Por favor, seleccione un tipo de venta.</div>
                                                                    </div>




                                                                    <div class="col-md-12 mt-3">
                                                                        <label class="form-label" for="validationCustom02">Observaci��n:</label>
                                                                        <textarea class="form-control inputcss"   type="text" required="" name="observacion"  placeholder="Complemento para direccion u observacion"  <?php echo $readonly; ?>><?php echo $row['observacion']; ?></textarea>
                                                                        <div class="valid-feedback">Se ve bien!</div>
                                                                        <div class="invalid-feedback">Por favor, Digite una descripcion para la orden.</div>
                                                                    </div>

                                                                </div>
                                                            </div>



                                                        </div>


                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" class="btn btn-warning px-5 radius-30" >Guardar cambios</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>                           

                                </div>

                            </div>


                            <div class="table-responsive mt-3">

                                <table class="table table-hover text-sm table-sm table-striped table-bordered">
                                    <thead>

                                        <tr class="bg-gradient-warning text-dark">
                                            <th class=" p-1 " style="width: 5%;" >FOTO</th>
                                            <th class=" p-1 " style="width: 12%;" >REFERENCIA</th>
                                            <th class="text-center p-1 "  style="width: 6%;" >CATEGORIA</th>
                                            <th class="text-center p-1 "  style="width: 5%;" >COLOR</th>

                                            <?php
                                            $item = 0;
                                            $sqlt1 = "SELECT * FROM pedido_detalle WHERE id_pedido='" . $row['id'] . "' GROUP BY talla ORDER BY talla asc";
                                            $queryt1 = $conn->query($sqlt1);
                                            if ($queryt1->num_rows > 0) {
                                                while ($rowt1 = $queryt1->fetch_assoc()) {
                                                    ?>
                                                    <th class="text-center p-1"><?php echo $rowt1['talla']; ?></th>
                                                    <?php
                                                    $item++;
                                                }
                                            }
                                            ?>
                                            <th class="text-center p-1" style="width: 5%;">T. PARES</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $total_cantidad = 0;
                                        $total_venta = 0;
                                        $sql1 = "SELECT * FROM pedido_detalle WHERE id_pedido='" . $row['id'] . "' GROUP BY referencia_producto";
                                        $query1 = $conn->query($sql1);
                                        if ($query1->num_rows > 0) {
                                            while ($row1 = $query1->fetch_assoc()) {

                                                $sql2 = "SELECT * FROM producto WHERE referencia='" . $row1['referencia_producto'] . "'";
                                                $query2 = $conn->query($sql2);
                                                $row2 = $query2->fetch_assoc();

                                                ////CANTIDAD POR REFERENCIA
                                                $sqlCANT = "SELECT SUM(cantidad) as cantidad_referencia FROM pedido_detalle WHERE id_pedido='" . $row['id'] . "' AND referencia_producto='" . $row1['referencia_producto'] . "'";
                                                $queryCANT = $conn->query($sqlCANT);
                                                $rowCANT = $queryCANT->fetch_assoc();
                                                ?>
                                                <tr class="align-middle">
                                                    <td class="text-center"> 
                                                        <?php
                                                        if ($row2['foto1'] == 'NO APLICA') {
                                                            ?>
                                                            <img class="img-thumbnail" src="../../img/camara.jpg" width="40" alt="alt"/>
                                                            <?php
                                                        } else {
                                                            ?>
                                                            <img class="" src="../../img-producto/<?php echo $row2['foto1']; ?>" width="40" height="40" alt="alt"/>
                                                            <?php
                                                        }
                                                        ?>
                                                    </td>
                                                    <td> 
                                                        <strong class="text-dark"><?php echo $row2['referencia']; ?></strong>


                                                        <?php
                                                        if ($row['estado'] != "Proceso") {
                                                            
                                                        } else {
                                                            ?>
                                                            <a class="bg-warning radius-30 p-1 text-dark float-end" href="#!" data-bs-toggle="modal" data-bs-target="#editar_referencia"
                                                               data-id_pedido="<?php echo $id_pedido; ?>"
                                                               data-referencia_producto="<?php echo $row1['referencia_producto']; ?>">
                                                                <b>EDITAR</b>
                                                            </a>
                                                            <?php
                                                        }
                                                        ?>


                                                    </td>
                                                    <td class="text-center">
                                                        <span class="text-muted text-sm"><?php echo $row2['categoria']; ?></span><br>
                                                    </td>
                                                    <td class="text-center">
                                                        <span class="text-muted text-sm"><?php echo $row2['color']; ?></span><br>
                                                    </td>

                                                    <?php
                                                    $queryt2 = $conn->query($sqlt1);
                                                    if ($queryt2->num_rows > 0) {
                                                        while ($rowt2 = $queryt2->fetch_assoc()) {

                                                            $sqlt4 = "SELECT SUM(cantidad) as suma_talla FROM pedido_detalle WHERE id_pedido='" . $row['id'] . "' AND referencia_producto='" . $row1['referencia_producto'] . "' AND talla='" . $rowt2['talla'] . "'";
                                                            $queryt4 = $conn->query($sqlt4);
                                                            $rowt4 = $queryt4->fetch_assoc();

                                                            $suma_talla = $rowt4['suma_talla'];
                                                            ?>
                                                            <td class="ancho">

                                                                <?php
                                                                if ($row['estado'] != "Proceso") {
                                                                    ?>
                                                                    <?php echo $suma_talla; ?>

                                                                    <?php
                                                                } else {
                                                                    ?>
                                                                    <a href="script/pedido-talla-eliminar.php?referencia_producto=<?php echo $row1['referencia_producto']; ?>&&id_pedido=<?php echo $id_pedido; ?>&&talla=<?php echo $rowt2['talla']; ?>" 
                                                                       onclick="if (!confirm('Seguro deseas elminar este registro?')) {
                                                                                                       return false
                                                                                                   }" style="color: black; text-decoration: none;">

                                                                        <div id="hover_enlace" >
                                                                            <?php echo $suma_talla; ?>
                                                                        </div>

                                                                    </a>
                                                                    <?php
                                                                }
                                                                ?>

                                                            </td>
                                                            <?php
                                                        }
                                                    }
                                                    ?>
                                                    <td class="text-center"><b><?php echo $rowCANT['cantidad_referencia']; ?></b></td>
                                                </tr>
                                                <?php
                                                $total_cantidad += $rowCANT['cantidad_referencia'];
                                            }
                                        }
                                        ?>


                                    </tbody>
                                    <tfoot>
                                        <tr class="bg-light-dark">
                                            <th colspan="<?php echo $item + 4; ?>" class="text-end">TOTAL</th>                                                                          
                                            <th colspan="3" class="text-center"><?php echo $total_cantidad; ?></th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>



                            <?php
                            if ($row['estado'] == 'Proceso') {
                                ?>

                                <form class=" g-3 needs-validation d-print-none" method="POST" action="script/pedido-referencia-guardar.php">
                                    <input class="form-control inputcss "   type="text" required="" name="id_pedido" value="<?php echo $id_pedido; ?>" hidden >
                                    <input class="form-control inputcss "   type="text" required="" name="estado" value="<?php echo $row['estado']; ?>" hidden>

                                    <div class="row">
                                        <div class="col-md-6">
                                            <select class="" id="single-select1" required="" name="referencia_producto" autofocus="">
                                                <?php
                                                if (isset($_GET['referencia_producto'])) {
                                                    ?>
                                                    <option selected=""  value="<?php echo $_GET['referencia_producto']; ?>"><?php echo $_GET['referencia_producto']; ?></option>
                                                    <option value="">Referencias</option>
                                                    <?php
                                                } else {
                                                    ?>
                                                    <option selected=""  value="">Referencias</option>
                                                    <?php
                                                }
                                                $sql4 = "SELECT * FROM producto WHERE Habilitado='Si'";
                                                $query4 = $conn->query($sql4);
                                                if ($query4->num_rows > 0) {
                                                    while ($row4 = $query4->fetch_assoc()) {
                                                        ?>
                                                        <option value="<?php echo $row4['referencia'] ?>" ><?php echo $row4['referencia'] ?> - <?php echo $row4['color']; ?> <?php echo $row4['categoria']; ?>
                                                            <?php
                                                        }
                                                    }
                                                    ?>

                                            </select>

                                            <div class="valid-feedback">Se ve bien!</div>
                                            <div class="invalid-feedback">Por favor, seleccione referencia.</div>
                                        </div>


                                        <div class="col-md-2">
                                            <select class="single-select" id="validationCustom04" required="" name="talla">
                                                <option selected="" disabled="" value="">Tallas</option>
                                                <?php
                                                for ($i = 10; $i < 50; $i++) {
                                                    ?>
                                                    <option value="<?php echo $i ?>">Talla <?php echo $i ?></option>
                                                    <?php
                                                }
                                                ?>
                                            </select>
                                            <div class="valid-feedback">Se ve bien!</div>
                                            <div class="invalid-feedback">Por favor, seleccione talla.</div>
                                        </div>
                                        <div class="col-md-2">
                                            <input class="form-control inputcss "   type="number" required="" name="cantidad" placeholder="cant." value="0">
                                            <div class="valid-feedback">Se ve bien!</div>
                                            <div class="invalid-feedback">Por favor, Digite cantidad de prendas.</div>
                                        </div>
                                        <div class="col-md-2">
                                            <button class="btn btn-success px-2 radius-30" style="width: 100%;" type="submit"><i class="fas fa-plus text-white"></i> Agregar Item</button>
                                        </div>
                                    </div> 
                                </form>

                                <!-- FIN TABA-->
                                <?php
                            } else {
                                
                            }
                            ?>

                            <br>
                            <div class=" text-center">
                                <button class="btb btn-info radius-30 d-print-none" onclick="printDiv('areaImprimir')"><i class="fas fa-print fa-2x"></i></button>
                            </div>  

                        </div>

                    </div>

                </div>


                <?php echo include '../general/footer.php'; ?>


            </div>
        </div>
        <!--end wrapper-->
        <!--end wrapper-->
        <?php echo include '../general/libreria-js.php'; ?>


        <script>

            //Tabla producto
            $(document).ready(function () {
                var select1 = $('#single-select1').select2({
                    theme: 'bootstrap4',
                    width: $(this).data('width') ? $(this).data('width') : $(this).hasClass('w-100') ? '100%' : 'style',
                    placeholder: $(this).data('placeholder'),
                    allowClear: Boolean($(this).data('allow-clear')),
                });


            });



        </script>

        <div class="modal fade" id="editar_referencia" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header bg-warning text-dark">
                        <h5 class="modal-title card-heading" id="exampleModalLabel">EDITA REFERENCIA</h5>
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                    </div>
                    <form class=" g-3 needs-validation" novalidate="" method="POST" action="script/referencia-editar.php">
                        <input class="form-control" type="text" required="" name="edit_id_pedido" id="edit_id_pedido" hidden="">

                        <div class="modal-body ">
                            <div class="row ">
                                <div class="col-md-12">
                                    <label class="form-label" for="validationCustom01">Referencia actual:</label>
                                    <input class="form-control" type="text" required="" name="edit_referencia_producto" id="edit_referencia_producto" readonly>
                                    <div class="valid-feedback">Se ve bien!</div>
                                    <div class="invalid-feedback">Por favor, Digite la referencia.</div>
                                </div>
                                <div class="col-md-12">
                                    <label class="form-label" for="validationCustom01">Referencia nueva:</label>
                                    <select class="form-control" id="" required="" name="edit_referencia_producto_new" >
                                        <option selected=""  value="">Referencias</option>
                                        <?php
                                        $sql4 = "SELECT * FROM producto WHERE Habilitado='Si'";
                                        $query4 = $conn->query($sql4);
                                        if ($query4->num_rows > 0) {
                                            while ($row4 = $query4->fetch_assoc()) {
                                                ?>
                                                <option value="<?php echo $row4['referencia'] ?>" ><?php echo $row4['referencia'] ?> - <?php echo $row4['color']; ?> <?php echo $row4['categoria']; ?>
                                                    <?php
                                                }
                                            }
                                            ?>

                                    </select>
                                    <div class="valid-feedback">Se ve bien!</div>
                                    <div class="invalid-feedback">Por favor, Digite precio actual.</div>
                                </div>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button type="submit" name="eliminar" class="btn btn-danger px-5 radius-30">Eliminar</button>
                            <button type="submit" name="editar" class="btn btn-warning px-5 radius-30" >Guardar cambios</button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <script>
            // PASO DE PARAMETROS EDITAR
            $('#editar_referencia').on('show.bs.modal', function (event) {
                var button = $(event.relatedTarget) // Button that triggered the modal

                var id_pedido = button.data('id_pedido')
                var referencia_producto = button.data('referencia_producto')


                $('#edit_id_pedido').val(id_pedido)
                $('#edit_referencia_producto').val(referencia_producto)
            });

        </script>



    </body>
</html>