<?php
session_start();
include '../../script/conexion.php';
require '../general/validacion.php';

$nombre_categoria = $_GET['nombre_categoria'];
$color = $_GET['color'];
$color2 = $_GET['color2'];
?>
<!doctype html>
<html lang="en" class="light-theme">
    <head>
        <?php include '../general/libreria-css.php'; ?>
    </head>
    <body>
        <!--start wrapper-->
        <div class="wrapper">
            <?php echo include '../general/menu.php'; ?>

            <!-- start page content wrapper-->
            <div class="page-content-wrapper">
                <!-- start page content-->
                <div class="page-content">

                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="#"> 
                                    <ion-icon name="home-outline"></ion-icon>
                                </a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="produccion-panel.php"> 
                                    Panel de produccion
                                </a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="produccion-categoria.php?nombre_categoria=<?php echo $nombre_categoria; ?>"> 
                                    <?php echo $nombre_categoria; ?>
                                </a>
                            </li>
                            <li class="breadcrumb-item active" aria-current="page"><?php echo $color; ?></li>
                        </ol>
                    </nav>


                    <div class="card">
                        <div class="card-body bg-gradient-purple text-white">
                            <h4 class="text-center"><b>SELECCION DE MAQUINA</b></h4>
                        </div>
                    </div>


                    <div class="card radius-10 w-100">
                        <div class="card-body">


                            <h5><b><?php echo $nombre_categoria; ?> - <?php echo $color; ?></b></h5>
                            <hr>

                            <div class="row">

                                <style>
                                    #hover_enlace:hover{
                                        box-shadow: 0px 0px 20px 0px #3C3D6B;
                                    }

                                </style>

                                <div class="col-sm-3">

                                    <br>
                                    <h6><b>SELECCIONE MAQUINA</b></h6>

                                    <div class="row">
                                        <?php
                                        if ($color == $color2) {
                                            ?>
                                            <?php
                                            $sql5 = "SELECT m.nombre as nombre, m.puestos as puestos, m.canones "
                                                    . " FROM maquina_material mm, maquina m "
                                                    . " WHERE m.nombre=mm.nombre_maquina AND mm.nombre_categoria='$nombre_categoria' GROUP BY m.nombre ORDER BY m.nombre asc";
                                            $query5 = $conn->query($sql5);
                                            if ($query5->num_rows > 0) {
                                                while ($row5 = $query5->fetch_assoc()) {
                                                    ?>
                                                    <div class="col-12 mt-2">
                                                        <div class="card radius-10  mb-0 " style="box-shadow: 0px 1px 5px 2px #EAE6E6; border-radius: 15px;">

                                                            <a href="sugerencia-produccion.php?nombre_categoria=<?php echo $nombre_categoria; ?>&&color=<?php echo $color; ?>&&color2=<?php echo $color2; ?>&&nombre_maquina=<?php echo $row5['nombre']; ?>" id="hover_enlace" style="border-radius: 15px;">

                                                                <div class="card-body ">
                                                                    <div class="d-flex align-items-center gap-3">
                                                                        <h6 class="mb-0 text-dark"><?php echo $row5['nombre']; ?></h6>
                                                                        <div class="ms-auto"> </div>
                                                                    </div>
                                                                    
                                                                    <ul class="list-unstyled mb-0 categories-list">   
                                                                        <li>
                                                                            <span> </span>
                                                                        </li>
                                                                    </ul>

                                                                    <hr>
                                                                    <div class="">
                                                                        <ul class="list-unstyled mb-0 categories-list">
                                                                            <li>
                                                                                <span><b>CAÑONES</b> <span class="float-end badge rounded-pill bg-primary"><?php echo $row5['canones']; ?></span></span>
                                                                            </li>
                                                                            <li>
                                                                                <span><b>PUESTOS</b> <span class="float-end badge rounded-pill bg-primary"><?php echo $row5['puestos']; ?></span></span>
                                                                            </li>
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                            </a>

                                                        </div>
                                                    </div>

                                                    <?php
                                                }
                                            }
                                            ?>


                                            <?php
                                        } else {
                                            ?>

                                            <?php
                                            $sql5 = "SELECT m.nombre as nombre, m.puestos as puestos, m.canones "
                                                    . " FROM maquina_material mm, maquina m "
                                                    . " WHERE m.nombre=mm.nombre_maquina AND mm.nombre_categoria='$nombre_categoria' AND m.canones='2' GROUP BY m.nombre ORDER BY m.nombre asc";
                                            $query5 = $conn->query($sql5);
                                            if ($query5->num_rows > 0) {
                                                while ($row5 = $query5->fetch_assoc()) {
                                                    ?>
                                                    <div class="col-12 mt-2">
                                                        <div class="card radius-10  mb-0 " style="box-shadow: 0px 1px 5px 2px #EAE6E6; border-radius: 15px;">

                                                            <a href="sugerencia-produccion.php?nombre_categoria=<?php echo $nombre_categoria; ?>&&color=<?php echo $color; ?>&&color2=<?php echo $color2; ?>&&nombre_maquina=<?php echo $row5['nombre']; ?>" id="hover_enlace" style="border-radius: 15px;">

                                                                <div class="card-body ">
                                                                    <div class="d-flex align-items-center gap-3">

                                                                        <h6 class="mb-0 text-dark"><?php echo $row5['nombre']; ?></h6>

                                                                        <div class="ms-auto"> </div>
                                                                    </div>
                                                                    <ul class="list-unstyled mb-0 categories-list">
                                                                        <li>
                                                                            <span> </span>
                                                                        </li>
                                                                    </ul>

                                                                    <hr>
                                                                    <div class="">
                                                                        <ul class="list-unstyled mb-0 categories-list">
                                                                            <li>
                                                                                <span><b>CAÑONES</b> <span class="float-end badge rounded-pill bg-primary"><?php echo $row5['canones']; ?></span></span>
                                                                            </li>
                                                                            <li>
                                                                                <span><b>PUESTOS</b> <span class="float-end badge rounded-pill bg-primary"><?php echo $row5['puestos']; ?></span></span>
                                                                            </li>
                                                                        </ul>
                                                                    </div>
                                                                </div>
                                                            </a>

                                                        </div>
                                                    </div>

                                                    <?php
                                                }
                                            }
                                            ?>

                                            <?php
                                        }
                                        ?>



                                    </div>
                                </div>



                                <div class="col-sm-9">

                                    <style>
                                        th, td { white-space: nowrap; }

                                        div.dataTables_wrapper {
                                            width: 100%;
                                            margin: 0 auto;
                                        }


                                    </style>


                                    <div class="table-responsive mt-3">
                                        <table id="example2" class="table table-striped table-bordered " >
                                            <thead class="bg-gradient-purple text-white">
                                                <tr class=" ">
                                                    <th class="bg-gradient-purple" >REFERENCIAS</th>
                                                    <th class="bg-gradient-purple" >COLOR 1</th>
                                                    <th class="bg-gradient-purple" >COLOR 2</th>
                                                    <?php
                                                    $sql = "SELECT rp.talla "
                                                            . "FROM referencia_produccion rp, producto p "
                                                            . "WHERE p.referencia=rp.referencia_producto AND p.categoria='$nombre_categoria' AND p.color='$color' AND p.color2='$color2' GROUP BY rp.talla ORDER BY rp.talla asc";
                                                    $query = $conn->query($sql);
                                                    if ($query->num_rows > 0) {
                                                        while ($row = $query->fetch_assoc()) {
                                                            ?>
                                                            <th class="text-center" ><?php echo $row['talla']; ?></th>
                                                            <?php
                                                        }
                                                    }
                                                    ?>
                                                    <th class="text-center">TOTAL</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                $sql1 = "SELECT rp.referencia_producto "
                                                        . "FROM referencia_produccion rp, producto p "
                                                        . "WHERE p.referencia=rp.referencia_producto AND p.categoria='$nombre_categoria' AND p.color='$color' AND p.color2='$color2' GROUP BY rp.referencia_producto ORDER BY rp.referencia_producto asc";
                                                $query1 = $conn->query($sql1);
                                                if ($query1->num_rows > 0) {
                                                    while ($row1 = $query1->fetch_assoc()) {

                                                        $sql1p = "SELECT * FROM producto WHERE referencia='" . $row1['referencia_producto'] . "'";
                                                        $query1p = $conn->query($sql1p);
                                                        $row1p = $query1p->fetch_assoc();
                                                        ?>
                                                        <tr class="" >
                                                            <td class="">
                                                                <b class="text-primary">
                                                                    <a href="../producto/kardex.php?referencia=<?php echo $row1['referencia_producto']; ?>" target="_blank">
                                                                        <?php echo $row1['referencia_producto']; ?>

                                                                        <span>
                                                                            <?php
                                                                            if ($row1p['color'] == $row1p['color2']) {
                                                                                
                                                                            } else {
                                                                                echo "<b class='text-secondary'>(BICOLOR)</b>";
                                                                            }
                                                                            ?>
                                                                        </span>

                                                                    </a>
                                                                </b>
                                                            </td>
                                                            <td class="">
                                                                <b class="text-primary"><?php echo $row1p['color']; ?></b>
                                                            </td>
                                                            <td class="">
                                                                <b class="text-primary"><?php echo $row1p['color2']; ?></b>
                                                            </td>

                                                            <?php
                                                            $total_talla = 0;
                                                            $sql2 = "SELECT rp.talla "
                                                                    . "FROM referencia_produccion rp, producto p "
                                                                    . "WHERE p.referencia=rp.referencia_producto AND p.categoria='$nombre_categoria' AND p.color='$color' AND p.color2='$color2' GROUP BY rp.talla ORDER BY rp.talla asc";
                                                            $query2 = $conn->query($sql2);
                                                            if ($query2->num_rows > 0) {
                                                                while ($row2 = $query2->fetch_assoc()) {


                                                                    $sql3 = "SELECT SUM(rp.cantidad) as cantidad "
                                                                            . "FROM referencia_produccion rp, producto p "
                                                                            . "WHERE p.referencia=rp.referencia_producto AND "
                                                                            . "rp.referencia_producto='" . $row1['referencia_producto'] . "' AND rp.talla='" . $row2['talla'] . "' AND p.categoria='$nombre_categoria' ";
                                                                    $query3 = $conn->query($sql3);
                                                                    $row3 = $query3->fetch_assoc();

                                                                    if ($row3['cantidad'] < 0) {
                                                                        $bg_color_talla = '';
                                                                        $text_color = 'text-secondary';
                                                                        $talla_pedido = 0;
                                                                    } if ($row3['cantidad'] > 0) {
                                                                        $bg_color_talla = 'bg-purple';
                                                                        $text_color = 'text-white';
                                                                        $talla_pedido = $row3['cantidad'];
                                                                    } else {
                                                                        $bg_color_talla = '';
                                                                        $text_color = 'text-secondary';
                                                                        $talla_pedido = 0;
                                                                    }
                                                                    ?>
                                                                    <td class="text-center <?php echo $bg_color_talla; ?> <?php echo $text_color; ?>" >
                                                                        <?php echo number_format($talla_pedido, 0); ?>
                                                                    </td>


                                                                    <?php
                                                                    $total_talla += $row3['cantidad'];
                                                                }
                                                            }
                                                            ?> 






                                                            <?php
                                                            if ($total_talla < 0) {
                                                                $text_total_color = 'text-danger';
                                                            } elseif ($total_talla > 0) {
                                                                $text_total_color = 'text-purple';
                                                            } else {
                                                                $text_total_color = '';
                                                            }
                                                            ?>
                                                            <td class="text-center <?php echo $text_total_color; ?> h6"  style="font-weight: bold; ">

                                                                <?php echo $total_talla; ?>
                                                            </td>

                                                        </tr>
                                                        <?php
                                                    }
                                                }
                                                ?>
                                            </tbody>
                                            <tfoot align="right">
                                                <tr class="bg-light-dark">
                                                    <th class="bg-light-dark" colspan="3">TOTAL</th>
                                                    <?php
                                                    $item_footer = 1;
                                                    $sql4 = "SELECT rp.talla "
                                                            . "FROM referencia_produccion rp, producto p "
                                                            . "WHERE p.referencia=rp.referencia_producto AND p.categoria='$nombre_categoria' AND p.color='$color' AND p.color2='$color2' GROUP BY rp.talla ORDER BY rp.talla asc";
                                                    $query4 = $conn->query($sql4);
                                                    if ($query4->num_rows > 0) {
                                                        while ($row4 = $query4->fetch_assoc()) {
                                                            ?>
                                                            <th class="text-center"></th>
                                                            <?php
                                                            $item_footer++;
                                                        }
                                                    }
                                                    ?>
                                                    <th class="text-center"></th>
                                                </tr>
                                            </tfoot>
                                        </table>
                                    </div>


                                </div>

                            </div>
                        </div>
                    </div>

                    <div class="card ">
                        <div class="card-body">




                        </div>
                    </div>


                    <?php echo include '../general/footer.php'; ?>
                </div>
            </div>
        </div>
        <!--end wrapper-->
        <?php echo include '../general/libreria-js.php'; ?>


        <script>
          <script>
            //Tabla producto
            $(document).ready(function () {
                var table = $('#example2').DataTable({
                    lengthChange: false,
                    buttons: ['copy', 'excel', 'pdf', 'print'],
                    "order": false,
                });

                table.buttons().container()
                        .appendTo('#example2_wrapper .col-md-6:eq(0)');
            });

        </script>

        </script>


    </body>
</html>