<?php
session_start();
include '../../script/conexion.php';
require '../general/validacion.php';

$id_orden_trabajo = $_GET['id_orden_trabajo'];

$sql8 = "SELECT * FROM orden_trabajo WHERE id='$id_orden_trabajo'";
$query8 = $conn->query($sql8);
$row8 = $query8->fetch_assoc();

$sql9 = "SELECT * FROM maquina WHERE nombre='" . $row8['nombre_maquina'] . "'";
$query9 = $conn->query($sql9);
$row9 = $query9->fetch_assoc();
?>
<!doctype html>
<html lang="en" class="light-theme">
    <head>
        <?php include '../general/libreria-css.php'; ?>
    </head>
    <body>
        <!--start wrapper-->
        <div class="wrapper">
            <?php echo include '../general/menu.php'; ?>

            <!-- start page content wrapper-->
            <div class="page-content-wrapper">
                <!-- start page content-->
                <div class="page-content">

                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="#"> 
                                    <ion-icon name="home-outline"></ion-icon>
                                </a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="produccion-panel.php"> 
                                    Panel de produccion
                                </a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="orden-trabajo-fecha.php"> 
                                    Orden de trabajo
                                </a>
                            </li>
                            <li class="breadcrumb-item active" aria-current="page">Detalle - Orden id <?php echo $id_orden_trabajo; ?></li>
                        </ol>
                    </nav>

                    <div class="card">
                        <div class="card-body bg-gradient-purple text-white">
                            <h4 class="text-center"><b>ORDEN DE TRABAJO</b></h4>
                        </div>
                    </div>


                    <style>
                        #hover_enlace:hover{
                            color: purple;
                            border-radius: 10px;
                            box-shadow: 0px 0px 10px 0px purple;
                        }

                    </style>

                    <div class="card radius-10 w-100">
                        <div class="card-body">

                            <div class="row mb-2">
                                <div class="col-sm-12 text-end">


                                    <a class="btn btn-warning px-5  radius-30" href="#!" data-bs-toggle="modal" data-bs-target="#editarproducto">
                                        <i class="far fa-edit me-2" ></i>Editar
                                    </a>
                                    <div class="modal fade text-start" id="editarproducto" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                        <div class="modal-dialog modal-xl">
                                            <div class="modal-content">
                                                <div class="modal-header">
                                                    <h5 class="modal-title card-heading" id="exampleModalLabel">EDITAR - ORDEN DE TRABAJO</h5>
                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                </div>
                                                <form class=" g-3 needs-validation"  method="POST" action="script/orden-trabajo-editar.php">
                                                    <input class="form-control"  type="text" value="<?php echo $rowusu['nombre']; ?>" name="nombre_usuario" required="" hidden>
                                                    <input class="form-control"  type="text" required="" name="id" value="<?php echo $id_orden_trabajo; ?>" hidden>
                                                    <div class="modal-body ">
                                                        <div class="row">
                                                            <div class="col-md-2 mt-2">
                                                                <label class="form-label" for="validationCustom02">FECHA</label>
                                                                <input class="form-control" id="validationCustom02" type="date" required="" name="fecha" value="<?php echo $row8['fecha']; ?>">
                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                <div class="invalid-feedback">Por favor, Seleecione una fecha.</div>
                                                            </div>  
                                                            <div class="col-md-2 mt-2">
                                                                <label class="form-label" for="validationCustom02">NUMERO ORDEN</label>
                                                                <input class="form-control" id="validationCustom02" type="text" required="" name="numero_orden_trabajo" value="<?php echo $row8['numero_orden_trabajo']; ?>">
                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                <div class="invalid-feedback">Por favor, Digite la hora final.</div>
                                                            </div> 
                                                            <div class="col-md-8 mt-2">
                                                                <label class="form-label" for="validationCustom02">NOMBRE ENCARGADO</label>
                                                                <select class="form-select" id="" required="" name="nombre_empleado" autofocus="">
                                                                    <option selected="" value="<?php echo $row8['nombre_empleado']; ?>"><?php echo $row8['nombre_empleado']; ?></option>
                                                                    <?php
                                                                    $sql6 = "SELECT * FROM tercero WHERE tipo='Empleado'";
                                                                    $query6 = $conn->query($sql6);
                                                                    if ($query6->num_rows > 0) {
                                                                        while ($row6 = $query6->fetch_assoc()) {
                                                                            ?>
                                                                            <option value="<?php echo $row6['nombre'] ?>"><?php echo $row6['nombre'] ?></option>
                                                                            <?php
                                                                        }
                                                                    }
                                                                    ?>
                                                                </select>
                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                <div class="invalid-feedback">Por favor, Digite un encargado.</div>
                                                            </div> 

                                                            <div class="col-md-2 mt-2">
                                                                <label class="form-label" for="validationCustom02">HORA DESDE</label>

                                                                <input class="form-control" id="validationCustom02" type="time" required="" name="hora_desde" value="<?php echo $row8['hora_desde']; ?>">
                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                <div class="invalid-feedback">Por favor, Digite la hora inicial.</div>
                                                            </div>                                            
                                                            <div class="col-md-2 mt-2">
                                                                <label class="form-label" for="validationCustom02">HORA HASTA</label>
                                                                <input class="form-control" id="validationCustom02" type="time" required="" name="hora_hasta" value="<?php echo $row8['hora_hasta']; ?>">
                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                <div class="invalid-feedback">Por favor, Digite la hora final.</div>
                                                            </div>                                                       

                                                            <div class="col-md-8 mt-2">
                                                                <label class="form-label" for="validationCustom02">Observacion</label>
                                                                <textarea class="form-control" id="validationCustom02" type="text" required="" name="observacion"><?php echo $row8['observacion']; ?></textarea>
                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                <div class="invalid-feedback">Por favor, digite los metros por prenda.</div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="submit" class="btn btn-warning px-5 radius-30" name="editar">Guardar cambios</button>
                                                    </div>
                                                </form>
                                            </div>
                                        </div>
                                    </div>



                                </div>
                            </div>
                            <div class="table-responsive  mb-0">

                                <table class="table  table-sm table-striped table-bordered ">
                                    <thead>
                                        <tr class="bg-light-info text-dark h6" style="border-color: black;">
                                            <th class=" p-0 " style="width: 30%;">ENCARGADO:</th>
                                            <th class="text-center p-0 " style="width: 15%;">HORA INICIO:</th>
                                            <th class="text-center p-0 " style="width: 15%;">HORA FIN:</th>
                                            <th class="text-center p-0 " style="width: 25%;">FECHA:</th>
                                            <th class="text-center p-0 " style="width: 15%;">No ORDEN</th>         
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr class="h3" style="border-color: black;">
                                            <td class="h5">
                                                <?php echo $row8['nombre_empleado']; ?>
                                            </td>
                                            <td class="text-center">
                                                <b><?php echo $row8['hora_desde']; ?></b>
                                            </td>
                                            <td class="text-center">
                                                <b><?php echo $row8['hora_hasta']; ?></b>
                                            </td>
                                            <td class="align-middle text-center"> 
                                                <b>   <?php echo date('d-m-Y', strtotime($row8['fecha'])); ?></b>
                                            </td>
                                            <td class="align-middle text-center"> 
                                                <b><?php echo $row8['numero_orden_trabajo']; ?></b>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>


                            <table id="example" class="table table-striped table-bordered order-column h5" style="width:100%">
                                <thead class="bg-gradient-purple text-white">
                                    <tr class=" ">
                                        <th class="" style="width: 2%;">ITEM</th>
                                        <th class="" >REFERENCIAS</th>
                                        <?php
                                        $sql = "SELECT talla FROM orden_trabajo_detalle WHERE  id_orden_trabajo='$id_orden_trabajo' GROUP BY talla ORDER BY talla asc";
                                        $query = $conn->query($sql);
                                        if ($query->num_rows > 0) {
                                            while ($row = $query->fetch_assoc()) {
                                                ?>
                                                <th class="text-center" ><?php echo $row['talla']; ?></th>
                                                <?php
                                            }
                                        }
                                        ?>
                                        <th class="text-center bg-info">
                                            TOTAL
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php
                                    $sql1 = "SELECT * FROM orden_trabajo_detalle WHERE  id_orden_trabajo='$id_orden_trabajo' GROUP BY referencia_producto ORDER BY orden asc";
                                    $query1 = $conn->query($sql1);
                                    if ($query1->num_rows > 0) {
                                        while ($row1 = $query1->fetch_assoc()) {
                                            ?>
                                            <tr class="" >
                                                <td class="text-center p-0 h6">
                                                    <?php
                                                    if ($row1['orden'] == 1) {
                                                        
                                                    } else {
                                                        ?>
                                                        <a class="float-start" href="script/orden.php?id_orden_trabajo=<?php echo $id_orden_trabajo; ?>&&referencia_producto=<?php echo $row1['referencia_producto']; ?>&&orden=<?php echo $row1['orden']; ?>&&direccion=subir">
                                                            <i class="fa-solid fa-circle-up text-info"></i>
                                                        </a>

                                                        <?php
                                                    }
                                                    ?>

                                                    <?php echo $row1['orden']; ?>




                                                    <?php
                                                    $sqlor = "SELECT MAX(orden) as orden FROM orden_trabajo_detalle WHERE id_orden_trabajo='$id_orden_trabajo'";
                                                    $queryor = $conn->query($sqlor);
                                                    $rowor = $queryor->fetch_assoc();

                                                    if ($row1['orden'] == $rowor['orden']) {
                                                        
                                                    } else {
                                                        ?>
                                                        <a class="float-end" href="script/orden.php?id_orden_trabajo=<?php echo $id_orden_trabajo; ?>&&referencia_producto=<?php echo $row1['referencia_producto']; ?>&&orden=<?php echo $row1['orden']; ?>&&direccion=bajar">
                                                            <i class="fa-solid fa-circle-down text-info"></i>
                                                        </a>
                                                        <?php
                                                    }
                                                    ?>



                                                </td>
                                                <td class="p-0 h6">
                                                    <b class="text-primary">
                                                        <?php echo $row1['referencia_producto']; ?>

                                                    </b>



                                                    <a href="script/referencia-eliminar.php?referencia_producto=<?php echo $row1['referencia_producto']; ?>&&id_orden_trabajo=<?php echo $id_orden_trabajo; ?>" class=" float-end confirmacion-clic me-2" id="hover_enlace">
                                                        <i class="fa-solid fa-trash-alt text-danger "></i>
                                                    </a>


                                                </td>

                                                <?php
                                                $total_talla = 0;
                                                $sql2 = "SELECT talla FROM orden_trabajo_detalle WHERE  id_orden_trabajo='$id_orden_trabajo' GROUP BY talla ORDER BY talla asc";
                                                $query2 = $conn->query($sql2);
                                                if ($query2->num_rows > 0) {
                                                    while ($row2 = $query2->fetch_assoc()) {
                                                        ?>
                                                        <td class="text-center p-0 <?php echo $bg_color_talla; ?> <?php echo $text_color; ?>" >

                                                            <?php
                                                            $cantidad_talla = 0;
                                                            $sql6 = "SELECT * FROM orden_trabajo_detalle WHERE id_orden_trabajo='$id_orden_trabajo' AND referencia_producto='" . $row1['referencia_producto'] . "' "
                                                                    . " AND talla='" . $row2['talla'] . "' ORDER BY cantidad desc";
                                                            $query6 = $conn->query($sql6);
                                                            if ($query6->num_rows > 0) {
                                                                while ($row6 = $query6->fetch_assoc()) {


                                                                    //CONTAR INVENTARIO DE REFERENCIA Y TALLA
                                                                    $sql9 = "SELECT * FROM molde WHERE referencia_segmento='" . $row1['referencia_segmento'] . "' AND talla='" . $row2['talla'] . "'";
                                                                    $query9 = $conn->query($sql9);
                                                                    $row9 = $query9->fetch_assoc();

                                                                    //CONTAR MOLDE OCUPADOS
                                                                    $sql10 = "SELECT COUNT(osd.id) as contar_molde "
                                                                            . "FROM orden_sugerencia_detalle osd, orden_sugerencia os "
                                                                            . "WHERE osd.id_orden_sugerencia=os.id "
                                                                            . " AND osd.referencia_segmento='" . $row1['referencia_segmento'] . "' AND "
                                                                            . "osd.talla='" . $row2['talla'] . "' AND osd.estado!='Finalizado' AND os.id_orden_trabajo!='$id_orden_trabajo'";
                                                                    $query10 = $conn->query($sql10);
                                                                    $row10 = $query10->fetch_assoc();

                                                                    if (isset($row9['cantidad'])) {
                                                                        $inventario_molde = $row9['cantidad'];
                                                                    } else {
                                                                        $inventario_molde = 0;
                                                                    }


                                                                    if (isset($row10['contar_molde'])) {
                                                                        $contar_molde = $row10['contar_molde'];
                                                                    } else {
                                                                        $contar_molde = 0;
                                                                    }


                                                                    //MOLDE DISPONIBLE
                                                                    $molde_disponible = number_format($inventario_molde - $contar_molde, 0);

                                                                    if ($row6['cantidad'] > 0) {
                                                                        $text = 'text-white';
                                                                        $bg = 'bg-purple';
                                                                    } else {
                                                                        $text = '';
                                                                        $bg = '';
                                                                    }
                                                                    ?>
                                                                    <div class = "<?php echo $text; ?> <?php echo $bg; ?> pe-2 ps-2" style = "border-bottom:  1px solid #DEE2E6;">
                                                                        <?php echo $row6['cantidad']; ?>

                                                                        <?php
                                                                        if ($molde_disponible > 0) {
                                                                            //CONTAR MOLDE OCUPADOS
                                                                            $sql10m = "SELECT COUNT(id) as contar_molde "
                                                                                    . "FROM orden_trabajo_detalle  "
                                                                                    . "WHERE id_orden_trabajo='$id_orden_trabajo' AND referencia_segmento='" . $row1['referencia_segmento'] . "' AND talla='" . $row2['talla'] . "' ";
                                                                            $query10m = $conn->query($sql10m);
                                                                            $row10m = $query10m->fetch_assoc();

                                                                            $molde_sobrante = $molde_disponible - $row10m['contar_molde'];

                                                                            if ($molde_sobrante > 0) {
                                                                                ?>

                                                                                <a href="#" class="text-light" data-bs-toggle="modal" data-bs-target="#dividir"
                                                                                   data-referencia_segmento="<?php echo $row1['referencia_segmento']; ?>"
                                                                                   data-talla="<?php echo $row2['talla']; ?>"
                                                                                   data-referencia_producto="<?php echo $row1['referencia_producto']; ?>"
                                                                                   data-cantidad="<?php echo $row6['cantidad']; ?>">
                                                                                    <i class="fa-solid fa-circle-half-stroke"><?php echo $molde_sobrante; ?></i>
                                                                                </a>




                                                                                <?php
                                                                            } else {
                                                                                
                                                                            }
                                                                        } else {
                                                                            ?>
                                                                            <i class="fas fa-warning text-warning float-end" title="MOLDE NO DISPONIBLE"></i>
                                                                            <?php
                                                                        }
                                                                        ?>

                                                                        <a href="script/referencia-eliminar-talla.php?referencia_producto=<?php echo $row1['referencia_producto']; ?>&&talla=<?php echo $row2['talla']; ?>&&id_orden_trabajo=<?php echo $id_orden_trabajo; ?>" class=" float-end confirmacion-clic" id="hover_enlace">
                                                                            <i class="fa-solid fa-circle text-danger "></i>
                                                                        </a>

                                                                    </div>
                                                                    <?php
                                                                    $cantidad_talla += $row6['cantidad'];
                                                                }
                                                            }
                                                            ?>
                                                        </td>


                                                        <?php
                                                        $total_talla += $cantidad_talla;
                                                    }
                                                }
                                                ?>

                                                <td class="text-center bg-light-info p-0">
                                                    <b><?php echo $total_talla ?></b>
                                                </td>

                                            </tr>
                                            <?php
                                        }
                                    }
                                    ?>
                                    <tr>

                                        <th class="text-end" colspan="2">TOTAL</th>
                                        <?php
                                        $total_talla_1 = 0;
                                        $sqlct = "SELECT talla FROM orden_trabajo_detalle WHERE  id_orden_trabajo='$id_orden_trabajo' GROUP BY talla ORDER BY talla asc";
                                        $queryct = $conn->query($sqlct);
                                        if ($queryct->num_rows > 0) {
                                            while ($rowct = $queryct->fetch_assoc()) {

                                                $sql37m = "SELECT SUM(cantidad) as cantidad FROM orden_trabajo_detalle WHERE id_orden_trabajo='$id_orden_trabajo' AND talla='" . $rowct['talla'] . "'";
                                                $query37m = $conn->query($sql37m);
                                                $row37m = $query37m->fetch_assoc();
                                                ?>
                                                <th class="text-center" ><?php echo $row37m['cantidad']; ?></th>
                                                <?php
                                                $total_talla_1 += $row37m['cantidad'];
                                            }
                                        }
                                        ?> 
                                        <th class="text-center bg-info text-white"><?php echo $total_talla_1; ?></th>
                                    </tr>
                                </tbody>
                            </table>

                            <div>
                                <b class="text-secondary">OBSERVACION:</b>
                                <p><?php echo $row8['observacion']; ?></p>
                            </div>

                            <div class="row">
                                <div class="col-sm-6 text-end">

                                    <?php
                                    $sql12 = "SELECT COUNT(id) as contar_sugerencia FROM orden_sugerencia WHERE  id_orden_trabajo='$id_orden_trabajo'";
                                    $query12 = $conn->query($sql12);
                                    $row12 = $query12->fetch_assoc();

                                    if ($row12['contar_sugerencia'] > 0) {
                                        
                                    } else {
                                        ?>
                                        <div class="row">
                                            <div class="col-sm-6 text-center">
                                                <div class="text-center">
                                                    <form class="" method="POST" action="script/sugerencia-trabajo.php">
                                                        <input type="text" name="id_orden_trabajo" value="<?php echo $id_orden_trabajo; ?>" hidden>
                                                        <button type="submit" class="btn btn-primary radius-30 px-5 " id="btn">SUGERENCIAS</button>
                                                    </form>
                                                </div> 
                                            </div>
                                        </div>
                                        <?php
                                    }
                                    ?>
                                </div>
                                <div class="col-sm-6 text-end">

                                    <?php
                                    $sql13 = "SELECT COUNT(id) as finalizado FROM orden_sugerencia WHERE id_orden_trabajo='$id_orden_trabajo' AND estado='Finalizado'";
                                    $query13 = $conn->query($sql13);
                                    $row13 = $query13->fetch_assoc();

                                    if ($row13['finalizado'] == 1) {
                                        
                                    } else {
                                        ?>

                                        <div class="">
                                            <form class="" method="POST" action="script/orden-trabajo-eliminar.php">
                                                <input type="text" name="id_orden_trabajo" value="<?php echo $id_orden_trabajo; ?>" hidden>
                                                <button type="submit" class="btn btn-danger radius-30 " id="btn"
                                                        onclick="if (!confirm('Seguro deseas eliminar este registro?')) {
                                                                        return false

                                                                    }"><i class="fas fa-trash-alt"></i> ELIMINAR</button>
                                            </form>
                                        </div>

                                        <?php
                                    }
                                    ?>


                                </div>
                                <div class="col-sm-3 text-end">


                                </div>
                            </div>






                            <style>
                                th, td {
                                    white-space: nowrap;
                                }

                                div.dataTables_wrapper {
                                    width: 100%;
                                    margin: 0 auto;
                                }


                            </style>
                        </div>
                    </div>


                    <div class="card radius-10 w-100">
                        <div class="card-body">


                            <h5 class=" text-center"><b><?php echo $row8['nombre_maquina']; ?></b></h5>




                            <hr>


                            <?php
                            $item = 1;
                            $sql3 = "SELECT * FROM orden_sugerencia WHERE id_orden_trabajo='$id_orden_trabajo'";
                            $query3 = $conn->query($sql3);
                            if ($query3->num_rows > 0) {
                                while ($row3 = $query3->fetch_assoc()) {
                                    $id_sugerencia = $row3['id'];
                                    $limite_puesto = $row3['limite_puestos'];
                                    $puestos = $row3['puestos'];
                                    ?>
                                    <div class="row">
                                        <div class="col-sm-6">
                                            <?php
                                            if ($row3['estado'] == 'Confirmado') {
                                                ?>
                                                <h6><b>ORDEN DE TRABAJO</b></h6>
                                                <?php
                                            } else {
                                                ?>
                                                <h6><b>SUGERENCIA <?php echo $item; ?></b></h6>

                                                <?php
                                            }
                                            ?>


                                        </div>
                                        <div class="col-sm-6 text-end">
                                            <?php
                                            if ($row3['estado'] == 'Proceso') {
                                                $color_estado = 'badge alert-info';
                                                $color_estado_2 = '';
                                            } elseif ($row3['estado'] == 'Confirmado') {
                                                $color_estado = 'badge bg-pink';
                                                $color_estado_2 = '';
                                            } elseif ($row3['estado'] == 'Alistamiento') {
                                                $color_estado = '';
                                                $color_estado_2 = 'background-color: purple';
                                            } elseif ($row3['estado'] == 'Enviado') {
                                                $color_estado = 'badge alert-warning';
                                                $color_estado_2 = '';
                                            } elseif ($row3['estado'] == 'Novedad') {
                                                $color_estado = '';
                                                $color_estado_2 = 'background-color: yellow; color:black';
                                            } elseif ($row3['estado'] == 'Entregado') {
                                                $color_estado = 'badge alert-success';
                                                $color_estado_2 = '';
                                            } elseif ($row3['estado'] == 'Finalizado') {
                                                $color_estado = 'badge alert-success';
                                                $color_estado_2 = '';
                                            } elseif ($row3['estado'] == 'Devolucion') {
                                                $color_estado = 'badge alert-danger';
                                                $color_estado_2 = '';
                                            } elseif ($row3['estado'] == 'Cancelado') {
                                                $color_estado = 'badge alert-secondary';
                                                $color_estado_2 = '';
                                            }
                                            ?>
                                            <div class="dropdown">
                                                <button class=" dropdown-toggle badge <?php echo $color_estado; ?>" style="font-size: 13px; <?php echo $color_estado_2; ?>;" type="button" data-bs-toggle="dropdown" aria-expanded="false"><?php echo $row3['estado']; ?></button>
                                                <ul class="dropdown-menu">
                                                    <li>


                                                        <?php
                                                        if ($row3['estado'] == 'Proceso') {
                                                            ?>

                                                            <a class="dropdown-item" href="script/orden-sugerencia-estado.php?id_orden_sugerencia=<?php echo $row3['id']; ?>&&id_orden_trabajo=<?php echo $id_orden_trabajo ?>&&estado=Confirmado"    
                                                               onclick="if (!confirm('Seguro deseas confirmar este registro?')) {
                                                                                       return false

                                                                                   }">
                                                                <i class="fas fa-circle text-pink" style="font-size: 13px;"></i> Confirmardo</a>

                                                            <?php
                                                        } else {
                                                            
                                                        }
                                                        ?>



                                                        <?php
                                                        if ($row3['estado'] == 'Confirmado') {
                                                            ?>


                                                            <a class="dropdown-item" href="script/orden-sugerencia-estado.php?id_orden_sugerencia=<?php echo $row3['id']; ?>&&id_orden_trabajo=<?php echo $id_orden_trabajo ?>&&estado=Finalizado"    
                                                               onclick="if (!confirm('Seguro deseas Finalizar este registro?')) {
                                                                                       return false

                                                                                   }">
                                                                <i class="fas fa-circle text-success" style="font-size: 13px;"></i> Finalizado</a>

                                                            <?php
                                                        } else {
                                                            
                                                        }
                                                        ?>




                                                    </li>
                                                </ul>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="row">
                                        <div class="col-sm-12">
                                            <div class="table-responsive">
                                                <table id="example" class="table table-striped table-bordered order-column" style="width:100%">
                                                    <thead class="bg-gradient-purple text-white">
                                                        <tr class=" ">
                                                            <th class="" >REFERENCIAS</th>
                                                            <?php
                                                            for ($i = 1; $i < $puestos + 1; $i++) {
                                                                ?>
                                                                <th class="text-center" >P <?php echo $i; ?></th>
                                                                <?php
                                                            }
                                                            ?>
                                                            <th class="text-center bg-info" >TOTAL</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody>
                                                        <?php
                                                        $contar_todo = 0;
                                                        $sql5 = "SELECT * FROM orden_sugerencia_detalle WHERE id_orden_sugerencia='" . $row3['id'] . "' GROUP BY referencia_producto"
                                                                . " ORDER BY orden asc";
                                                        $query5 = $conn->query($sql5);
                                                        if ($query5->num_rows > 0) {
                                                            while ($row5 = $query5->fetch_assoc()) {
                                                                ?>
                                                                <tr class="">
                                                                    <th class=" p-0"><?php echo $row5['referencia_producto']; ?></th>

                                                                    <?php
                                                                    for ($i = 1; $i < $puestos + 1; $i++) {
                                                                        ?>
                                                                        <th class="text-center p-0" >
                                                                            <?php
                                                                            $sql6 = "SELECT * FROM orden_sugerencia_detalle WHERE id_orden_sugerencia='" . $row3['id'] . "' AND referencia_producto='" . $row5['referencia_producto'] . "' "
                                                                                    . " AND puesto='$i' AND contar='Si'"
                                                                                    . " ORDER BY referencia_producto asc";
                                                                            $query6 = $conn->query($sql6);
                                                                            if ($query6->num_rows > 0) {
                                                                                while ($row6 = $query6->fetch_assoc()) {

                                                                                    $sql33m = "SELECT COUNT(id) as contar_combinacion FROM orden_sugerencia_detalle WHERE id_combinado='" . $row6['id'] . "' AND  id_orden_sugerencia='" . $row3['id'] . "'";
                                                                                    $query33m = $conn->query($sql33m);
                                                                                    $row33m = $query33m->fetch_assoc();

                                                                                    if (isset($row33m['contar_combinacion'])) {

                                                                                        $text = '';
                                                                                    } else {
                                                                                        $text = 'text-center';
                                                                                    }
                                                                                    ?>
                                                                                    <div class = "<?php echo $text; ?> pe-2 ps-2" style = "border-bottom:  1px solid #DEE2E6;">
                                                                                        <span class = "badge  bg-light-dark  rounded-pill float-start text-secondary" >T <?php echo $row6['talla']; ?></span>
                                                                                        <?php echo $row6['cantidad']; ?>


                                                                                        <?php
                                                                                        $sql6n = "SELECT * FROM orden_sugerencia_detalle WHERE id_orden_sugerencia='" . $row3['id'] . "' AND referencia_producto='" . $row5['referencia_producto'] . "' "
                                                                                                . " AND puesto='$i' AND contar='No' AND id_combinado='" . $row6['id'] . "'"
                                                                                                . " ORDER BY referencia_producto asc";
                                                                                        $query6n = $conn->query($sql6n);
                                                                                        if ($query6n->num_rows > 0) {
                                                                                            while ($row6n = $query6n->fetch_assoc()) {
                                                                                                ?>

                                                                                                /    

                                                                                                <span class="badge bg-light-dark bg-primary  rounded-pill text-secondary" >T <?php echo $row6n['talla']; ?></span>

                                                                                                <?php echo $row6n['cantidad']; ?>


                                                                                                <?php
                                                                                            }
                                                                                        }
                                                                                        ?>

                                                                                        <a href="#" class="text-info" data-bs-toggle="modal" data-bs-target="#cambiarpuesto<?php echo $row6['id']; ?>"
                                                                                           >
                                                                                            CP
                                                                                        </a>


                                                                                        <!-- Modal -->
                                                                                        <div class="modal fade" id="cambiarpuesto<?php echo $row6['id']; ?>" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                                            <div class="modal-dialog modal-sm">
                                                                                                <div class="modal-content">
                                                                                                    <div class="modal-header">
                                                                                                        <h5 class="modal-title card-heading text-dark" id="exampleModalLabel">
                                                                                                            <b>CAMBIAR DE PUESTO </b>
                                                                                                        </h5>
                                                                                                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                                                                    </div>
                                                                                                    <form class=" g-3 needs-validation text-dark text-start"  method="POST" action="script/cambiar-puesto.php">
                                                                                                        <input  type="text" required="" value="<?php echo $row6['id']; ?>" name="id_orden_sugerencia_detalle" readonly="" hidden="">

                                                                                                        <div class="modal-body ">
                                                                                                            <div class="row">
                                                                                                                <div class="col-md-12 mt-2">
                                                                                                                    <label>Seleccione el puesto</label>
                                                                                                                    <select class="form-control " required="" name="puesto" >

                                                                                                                        <option value="<?php echo $i ?>"><?php echo $i ?></option>


                                                                                                                        <option  disabled="" value="">Seleccione</option>

                                                                                                                        <?php
                                                                                                                        $sql63 = "SELECT * FROM orden_sugerencia_detalle where id_orden_sugerencia='" . $row3['id'] . "' GROUP BY puesto ORDER BY puesto asc";
                                                                                                                        $query63 = $conn->query($sql63);
                                                                                                                        if ($query63->num_rows > 0) {
                                                                                                                            while ($row63 = $query63->fetch_assoc()) {
                                                                                                                                ?>
                                                                                                                                <option value="<?php echo $row63['puesto'] ?>"><?php echo $row63['puesto'] ?></option>
                                                                                                                                <?php
                                                                                                                            }
                                                                                                                        }
                                                                                                                        ?>
                                                                                                                    </select>
                                                                                                                </div>

                                                                                                            </div>
                                                                                                            <div class="modal-footer">
                                                                                                                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                                                                                                                <button type="submit" class="btn btn-warning" >Cambiar</button>
                                                                                                            </div>
                                                                                                        </div>
                                                                                                    </form>
                                                                                                </div>
                                                                                            </div>
                                                                                        </div>



                                                                                    </div>




                                                                                    <?php
                                                                                }
                                                                            }
                                                                            ?>
                                                                        </th>

                                                                        <?php
                                                                    }
                                                                    ?>



                                                                    <th class="text-center bg-light-info ">
                                                                        <?php
                                                                        $sql34m = "SELECT SUM(cantidad) as cantidad FROM orden_sugerencia_detalle WHERE id_orden_sugerencia='" . $row3['id'] . "' AND referencia_producto='" . $row5['referencia_producto'] . "'";
                                                                        $query34m = $conn->query($sql34m);
                                                                        $row34m = $query34m->fetch_assoc();
                                                                        ?>

                                                                        <?php echo $row34m['cantidad'] ?>
                                                                    </th>


                                                                </tr>                                                            
                                                                <?php
                                                                $contar_todo += $row34m['cantidad'];
                                                            }
                                                        }
                                                        ?>
                                                    </tbody>
                                                    <tfoot>
                                                        <tr class="bg-light-dark">
                                                            <td class="text-end"><b>VUELTAS</b></td>

                                                            <?php
                                                            for ($i = 1; $i < $puestos + 1; $i++) {

                                                                $sql8c = "SELECT SUM(cantidad) as total FROM orden_sugerencia_detalle WHERE id_orden_sugerencia='" . $row3['id'] . "' AND puesto='$i' AND contar='Si'";
                                                                $query8c = $conn->query($sql8c);
                                                                $row8c = $query8c->fetch_assoc();
                                                                ?>
                                                                <td class="text-end">
                                                                    <b><?php echo number_format($row8c['total'], 0); ?></b>
                                                                </td>
                                                                <?php
                                                            }
                                                            ?>
                                                            <td class="text-center bg-info text-white">
                                                                <b><?php echo $contar_todo; ?></b>
                                                            </td>
                                                        </tr>
                                                    </tfoot>
                                                </table>
                                            </div>
                                        </div>

                                        <div class="col-sm-4">
                                            <table id="example" class="table table-striped table-bordered order-column" style="width:100%">
                                                <thead class="bg-gradient-purple text-white">
                                                    <tr class=" ">
                                                        <th class="" colspan="2" >DETALLE</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
                                                    <tr class="" >
                                                        <td><b>VUELTAS</b></td>
                                                        <td class="text-center">
                                                            <?php
                                                            $contador_limite = 0;
                                                            $sql9 = "SELECT * FROM orden_sugerencia_puestos WHERE id_orden_sugerencia='" . $row3['id'] . "' "
                                                                    . " ORDER BY total desc Limit $limite_puesto";
                                                            $query9 = $conn->query($sql9);
                                                            if ($query9->num_rows > 0) {
                                                                while ($row9 = $query9->fetch_assoc()) {

                                                                    $contador_limite++;

                                                                    if ($contador_limite == $limite_puesto) {
                                                                        $cantidad_vueltas = $row9['total'];
                                                                    } else {
                                                                        $cantidad_vueltas = 0;
                                                                    }
                                                                }
                                                            }

                                                            echo $cantidad_vueltas;
                                                            ?>
                                                        </td>
                                                    </tr>
                                                    <tr class="" >
                                                        <td><b>PRODUCCION</b></td>
                                                        <td class="text-center">
                                                            <?php
                                                            $contador_limite1 = 0;
                                                            $cantidad_produccion = 0;
                                                            $sql10 = "SELECT * FROM orden_sugerencia_puestos WHERE id_orden_sugerencia='" . $row3['id'] . "' AND "
                                                                    . "total>0 ORDER BY total desc";
                                                            $query10 = $conn->query($sql10);
                                                            if ($query10->num_rows > 0) {
                                                                while ($row10 = $query10->fetch_assoc()) {

                                                                    $contador_limite1++;

                                                                    if ($contador_limite1 <= $limite_puesto) {
                                                                        $cantidad_produccion += $cantidad_vueltas;
                                                                    } elseif ($contador_limite1 > $limite_puesto) {
                                                                        $cantidad_produccion += $row10['total'];
                                                                    } else {
                                                                        $cantidad_produccion += 0;
                                                                    }
                                                                }
                                                            }

                                                            echo $cantidad_produccion;
                                                            ?>
                                                        </td>
                                                    </tr>
                                                </tbody>
                                            </table>

                                        </div>




                                        <?php
                                        if ($row3['estado'] == 'Confirmado') {


                                            if ($row8['duo'] == 'Si') {
                                                ?>

                                                <div class="col-sm-8">
                                                    <a class="btn btn-primary px-5 radius-20 w-100" href="#!" data-bs-toggle="modal" data-bs-target="#separar_puestos">
                                                        SEPARAR PUESTOS
                                                    </a>


                                                    <div class="modal fade text-start text-dark" id="separar_puestos" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                        <div class="modal-dialog modal-sm">
                                                            <div class="modal-content">
                                                                <div class="modal-header bg-gradient-purple">
                                                                    <h5 class="modal-title card-heading text-white" id="exampleModalLabel"><b>Separar puestos</b></h5>
                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                                </div>
                                                                <form class="" method="POST" action="script/separar-guardar.php">
                                                                    <div class="modal-body row">
                                                                        <input type="text" name="id_orden_trabajo" value="<?php echo $id_orden_trabajo; ?>" hidden="" readonly="" >

                                                                        <div class="modal-body ">
                                                                            <div class="row">
                                                                                <div class="col-md-12 mt-2">
                                                                                    <label class="form-label" for="validationCustom02">DESCRIPCION</label>
                                                                                    <input class="form-control" id="validationCustom02" type="text" required="" name="descripcion">
                                                                                    <div class="valid-feedback">Se ve bien!</div>
                                                                                    <div class="invalid-feedback">Por favor, Seleecione una fecha.</div>
                                                                                </div>  
                                                                                <div class="col-md-12 mt-2">
                                                                                    <label class="form-label" for="validationCustom02">PUESTO INICIO</label>
                                                                                    <input class="form-control" id="validationCustom02" type="text" required="" name="puesto_inicio" value="">
                                                                                    <div class="valid-feedback">Se ve bien!</div>
                                                                                    <div class="invalid-feedback">Por favor, Digite la hora final.</div>
                                                                                </div> 
                                                                                <div class="col-md-12 mt-2">
                                                                                    <label class="form-label" for="validationCustom02">PUESTO FIN</label>
                                                                                    <input class="form-control" id="validationCustom02" type="text" required="" name="puesto_fin" value="">
                                                                                    <div class="valid-feedback">Se ve bien!</div>
                                                                                    <div class="invalid-feedback">Por favor, Digite la hora final.</div>
                                                                                </div> 
                                                                            </div> 

                                                                        </div>
                                                                    </div>
                                                                    <div class="modal-footer">

                                                                        <button type="submit" class="btn btn-success radius-30 px-5" name="editar" >CONFIRMAR</button>
                                                                    </div>
                                                                </form>
                                                            </div>


                                                        </div>
                                                    </div>



                                                    <style>
                                                        #hover_enlace:hover{
                                                            box-shadow: 0px 0px 20px 0px #3C3D6B;
                                                        }

                                                    </style>

                                                    <div class="row">

                                                        <?php
                                                        $sql1s = "SELECT * FROM separar_sugerencia WHERE id_orden_sugerencia='" . $row3['id'] . "'";
                                                        $query1s = $conn->query($sql1s);
                                                        if ($query1s->num_rows > 0) {
                                                            while ($row1s = $query1s->fetch_assoc()) {
                                                                ?>
                                                                <div class="col-sm-4 mt-2">
                                                                    <div class="card  shadow-none mb-0 bg-secondary">
                                                                        <a href="orden-trabajo-impresion-separado.php?id_separar_sugerencia=<?php echo $row1s['id']; ?>&&id_orden_trabajo=<?php echo $id_orden_trabajo; ?>&&id_orden_sugerencia=<?php echo $id_sugerencia; ?>" id="hover_enlace" >
                                                                            <div class="card-body text-white" >
                                                                                <div class="d-flex align-items-center">
                                                                                    <div class="fs-6">

                                                                                    </div>
                                                                                    <h6 class="mb-0"><?php echo $row1s['descripcion']; ?></h6>

                                                                                    <div class="ms-auto">P <?php echo $row1s['puesto_inicio']; ?> - P <?php echo $row1s['puesto_fin']; ?></div>
                                                                                </div>
                                                                            </div>
                                                                        </a>
                                                                    </div>
                                                                </div>

                                                                <?php
                                                            }
                                                        }
                                                        ?>

                                                    </div>
                                                </div>

                                                <?php
                                            } else {
                                                
                                            }
                                        } else {
                                            
                                        }
                                        ?>

                                    </div>


                                    <hr class="" style="border: 2px solid #000;">


                                    <?php
                                    $item++;
                                }
                            }
                            ?>

                            <div class="row">
                                <?php
                                $sql11 = "SELECT COUNT(id) as contar_sugerencia FROM orden_sugerencia WHERE id_orden_trabajo='$id_orden_trabajo'";
                                $query11 = $conn->query($sql11);
                                $row11 = $query11->fetch_assoc();

                                if ($row11['contar_sugerencia'] > 0) {

                                    if ($row11['contar_sugerencia'] == 1) {
                                        
                                    } else {
                                        ?>

                                        <div class="col-sm-4 text-center mx-auto">
                                            <div class="text-center">
                                                <form class="" method="POST" action="script/sugerencia-eliminar.php">
                                                    <input type="text" name="id_orden_trabajo" value="<?php echo $id_orden_trabajo; ?>" hidden>
                                                    <button type="submit" class="btn btn-danger radius-30 px-5 " id="btn"
                                                            onclick="if (!confirm('Seguro deseas eliminar este registro?')) {
                                                                                return false

                                                                            }">ELIMINAR SUGERENCIAS</button>
                                                </form>
                                            </div>
                                        </div>


                                        <?php
                                    }
                                } else {
                                    
                                }
                                ?>
                                <div class="col-sm-4 text-center mx-auto">
                                    <div class="text-center">
                                        <div class=" text-center">
                                            <a href="orden-trabajo-impresion.php?id_orden_trabajo=<?php echo $id_orden_trabajo; ?>" class="" ><i class="fas fa-print fa-2x"></i> IMPRESION GENERAL</a>
                                        </div>  
                                    </div>
                                </div>

                                <div class="col-sm-4 text-center mx-auto">
                                    <div class="text-center">
                                        <div class=" text-center">
                                            <a href="orden-trabajo-impresion-puestos.php?id_orden_trabajo=<?php echo $id_orden_trabajo; ?>" class="" ><i class="fas fa-print fa-2x"></i> IMPRESION POR PUESTOS</a>
                                        </div>  
                                    </div>
                                </div>
                            </div>
                        </div>       
                    </div>
                </div>




                <?php echo include '../general/footer.php'; ?>
            </div>
        </div>
    </div>
    <?php echo include '../general/libreria-js.php'; ?>




    <!-- Modal -->
    <div class="modal fade" id="dividir" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title card-heading text-dark" id="exampleModalLabel">
                        <b>DIVIDIR </b>
                    </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <form class=" g-3 needs-validation text-dark text-start" novalidate="" method="POST" action="script/dividir.php">
                    <input  type="text" required="" value="<?php echo $id_orden_trabajo; ?>" name="id_orden_trabajo" readonly="" hidden="">

                    <div class="modal-body ">
                        <div class="row">
                            <div class="col-md-12 mt-2">
                                <label class="form-label" for="validationCustom01">SEGMENTO</label>
                                <input class="form-control" id="div_referencia_segmento" type="text" required="" name="referencia_segmento" readonly="">
                            </div>
                            <div class="col-md-12 mt-2">
                                <label class="form-label" for="validationCustom01">REFERENCIA</label>
                                <input class="form-control" id="div_referencia_producto" type="text" required="" name="referencia_producto" readonly="">
                            </div>

                            <div class="col-md-6 mt-2">
                                <label class="form-label" for="validationCustom01">TALLA</label>
                                <input class="form-control" id="div_talla" type="number" required="" name="talla" readonly="">
                            </div>
                            <div class="col-md-6 mt-2">
                                <label class="form-label" for="validationCustom01">CANTIDAD</label>
                                <input class="form-control" id="div_cantidad" type="number" required="" name="cantidad" readonly="">
                            </div>
                            <div class="col-md-12 mt-2">
                                <label class="form-label" for="validationCustom01">CANTIDAD DIVIDIR</label>
                                <input class="form-control" id="div_dividir" type="number" required="" name="dividir" value="0">
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancelar</button>
                        <button type="submit" class="btn btn-warning" >Guardar cambios</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <script>

        // PASO DE PARAMETROS EDITAR
        $('#dividir').on('show.bs.modal', function (event) {
            var button = $(event.relatedTarget) // Button that triggered the modal

            var refeferencia_segmento = button.data('referencia_segmento')
            var referencia_producto = button.data('referencia_producto')
            var talla = button.data('talla')
            var cantidad = button.data('cantidad')

            $('#div_referencia_segmento').val(refeferencia_segmento)
            $('#div_referencia_producto').val(referencia_producto)
            $('#div_talla').val(talla)
            $('#div_cantidad').val(cantidad)
        });

    </script>







</body>
</html>