<?php
session_start();
include '../../script/conexion.php';
require '../general/validacion.php';

$referencia = $_GET['referencia'];
$sqlpro = "SELECT * FROM producto WHERE referencia='$referencia'";
$querypro = $conn->query($sqlpro);
$rowpro = $querypro->fetch_assoc();
?>
<!doctype html>
<html lang="en" class="light-theme">
    <head>
        <?php include '../general/libreria-css.php'; ?>

        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
        <script type="text/javascript" src="https://jeremyfagis.github.io/dropify/dist/js/dropify.min.js"></script>
        <link rel="stylesheet" type="text/css" href="https://jeremyfagis.github.io/dropify/dist/css/dropify.min.css">

    </head>
    <body>
        <!--start wrapper-->
        <div class="wrapper">
            <?php echo include '../general/menu.php'; ?>

            <!-- start page content wrapper-->
            <div class="page-content-wrapper">
                <!-- start page content-->
                <div class="page-content">

                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb">
                            <li class="breadcrumb-item">
                                <a href="#"> 
                                    <ion-icon name="home-outline"></ion-icon>
                                </a>
                            </li>
                            <li class="breadcrumb-item">
                                <a href="producto.php"> 
                                    Productos             
                                </a>
                            </li>
                            <li class="breadcrumb-item active" aria-current="page"><?php echo $referencia; ?></li>
                            <li class="breadcrumb-item active" aria-current="page">Kardex</li>
                        </ol>
                    </nav>

                    <div class="card card-table mb-3">
                        <div class="card-header">
                            <h4 ><span class="text-primary">Kardex:</span> <strong class="text-titulo"><?php echo $referencia; ?></strong></h4>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-body">
                            <div class="row mb-3"> 
                                <div class="col-12 col-md-12">
                                    <div class="row"> 
                                        <div class="col-12 col-sm-2 mt-2 ">
                                            <a class="btn btn-dark px-5 radius-30 w-100" href="kardex.php?referencia=<?php echo $referencia; ?>">
                                                <i class="far fa-chart-bar opacity-5 me-2 text-titulo" ></i> Kardex        
                                            </a>
                                        </div>
                                        <div class="col-12 col-sm-2 mt-2">
                                            <a class="btn btn-outline-dark px-5 radius-30 w-100" href="talla.php?referencia=<?php echo $referencia; ?>">
                                                <i class="fas fa-tags opacity-5 me-2 text-titulo" ></i> Tallas        
                                            </a>
                                        </div>
                                        <div class="col-12 col-sm-2 mt-2">
                                            <a class="btn btn-outline-dark px-5 radius-30 w-100" href="novedad.php?referencia=<?php echo $referencia; ?>">
                                                <i class="fas fa-file-signature opacity-5 me-2 text-titulo" ></i> Novedad        
                                            </a>
                                        </div>
                                        <div class="col-12 col-sm-2 mt-2">
                                            <a class="btn btn-outline-dark px-5 radius-30 w-100" href="devolucion.php?referencia=<?php echo $referencia; ?>">
                                                <i class="fas fa-boxes-packing opacity-5 me-2 text-titulo" ></i> Devolucion        
                                            </a>
                                        </div>

                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>


                    <div class="card">
                        <div class="card-body">
                            <div class="row"> 
                                <div class="col-12 col-md-4 col-lg-3">
                                    <table class="table text-sm table-sm" >
                                        <thead>
                                            <tr>
                                                <th class=" p-2">Habilitado</th>
                                                <th class=" p-2"> 
                                                    <?php
                                                    if ($rowpro['habilitado'] == 'Si') {
                                                        ?>
                                                        <span class="badge alert-success"><?php echo $rowpro['habilitado']; ?></span>
                                                        <?php
                                                    } else {
                                                        ?>
                                                        <span class="badge alert-danger"><?php echo $rowpro['habilitado']; ?></span>

                                                        <?php
                                                    }
                                                    ?>
                                                </th>
                                            </tr>
                                            <tr class="bg-light-dark">
                                                <th class=" p-2">Segmento</th>
                                                <td class=""><b><?php echo $rowpro['referencia_segmento']; ?></b></td>
                                            </tr> 
                                            <tr>
                                                <th class=" p-2">Codigo</th>
                                                <td class=""><b><?php echo $rowpro['codigo']; ?></b></td>
                                            </tr> 
                                            <tr>
                                                <th class=" p-2">Color 1</th>
                                                <td class=""><?php echo $rowpro['color']; ?>

                                                    <?php
                                                    $sql5 = "SELECT * FROM color WHERE color='" . $rowpro['color'] . "'";
                                                    $query5 = $conn->query($sql5);
                                                    $row5 = $query5->fetch_assoc();
                                                    ?>
                                                    <i class="fas fa-circle fa-2x float-end" style="color: <?php echo $row5['rgb']; ?>"></i>
                                                </td>
                                            </tr> 
                                            <tr>
                                                <th class=" p-2">Color 2</th>
                                                <td class=""><?php echo $rowpro['color2']; ?>

                                                    <?php
                                                    $sql51 = "SELECT * FROM color WHERE color='" . $rowpro['color2'] . "'";
                                                    $query51 = $conn->query($sql51);
                                                    $row51 = $query51->fetch_assoc();
                                                    ?>
                                                    <i class="fas fa-circle fa-2x float-end" style="color: <?php echo $row51['rgb']; ?>"></i>
                                                </td>
                                            </tr>
                                            <tr>
                                                <th class=" p-2">Categoria</th>
                                                <td class=""><?php echo $rowpro['categoria']; ?></td>
                                            </tr>
                                            <tr>
                                                <th class=" p-2">Clase</th>
                                                <td class=""><?php echo $rowpro['clase']; ?></td>
                                            </tr>
                                            <tr>
                                                <th class=" p-2">Peso</th>
                                                <td class=""><?php echo $rowpro['peso']; ?>g</td>
                                            </tr>
                                            <tr>
                                                <th class=" p-2">Precio de venta</th>
                                                <td class=""> <b class="text-secondary">$</b> <?php echo number_format($rowpro['precio_venta']); ?></td>
                                            </tr>
                                            <tr>
                                                <th class=" p-2 text-center " colspan="2">
                                                    <a class="btn btn-warning px-5  w-100" href="#!" data-bs-toggle="modal" data-bs-target="#editarproducto">
                                                        <i class="far fa-edit me-2" ></i>Editar referencia
                                                    </a>
                                                    <div class="modal fade text-start" id="editarproducto" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                        <div class="modal-dialog modal-xl">
                                                            <div class="modal-content">
                                                                <div class="modal-header">
                                                                    <h5 class="modal-title card-heading" id="exampleModalLabel">Editar producto</h5>
                                                                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                                </div>
                                                                <form class=" g-3 needs-validation"  method="POST" action="script/producto-editar.php">
                                                                    <input class="form-control"  type="text" value="<?php echo $rowusu['nombre']; ?>" name="nombre_usuario" required="" hidden>
                                                                    <input class="form-control"  type="text" required="" name="id" value="<?php echo $rowpro['id']; ?>" hidden>
                                                                    <div class="modal-body ">
                                                                        <div class="row">

                                                                            <div class="col-md-2 mt-2">
                                                                                <label class="form-label" for="validationCustom02">Segmento</label>
                                                                                <select class="form-select" id="" required="" name="referencia_segmento" autofocus="">
                                                                                    <option selected="" value="<?php echo $rowpro['referencia_segmento']; ?>"><?php echo $rowpro['referencia_segmento']; ?></option>
                                                                                    <?php
                                                                                    $sql6 = "SELECT * FROM segmento";
                                                                                    $query6 = $conn->query($sql6);
                                                                                    if ($query6->num_rows > 0) {
                                                                                        while ($row6 = $query6->fetch_assoc()) {
                                                                                            ?>
                                                                                            <option value="<?php echo $row6['referencia'] ?>"><?php echo $row6['referencia'] ?></option>
                                                                                            <?php
                                                                                        }
                                                                                    }
                                                                                    ?>
                                                                                </select>
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, Digite un codigo.</div>
                                                                            </div> 

                                                                            <div class="col-md-2 mt-2">
                                                                                <label class="form-label" for="validationCustom02">Codigo</label>
                                                                                <input class="form-control" id="validationCustom02" type="text" required="" name="codigo" value="<?php echo $rowpro['codigo']; ?>">
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, Digite un codigo.</div>
                                                                            </div>                                            
                                                                            <div class="col-md-4 mt-2">
                                                                                <label class="form-label" for="validationCustom02">Referencia</label>
                                                                                <input class="form-control" id="validationCustom02" type="text" required="" name="referencia" value="<?php echo $rowpro['referencia']; ?>">
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, Digite una referencia.</div>
                                                                            </div>
                                                                            <div class="col-md-2 mt-2">
                                                                                <label class="form-label" for="validationCustom01">Color 1</label>
                                                                                <select class="form-select choices-3 " id="validationCustom04" required="" name="color" >
                                                                                    <option selected="" value="<?php echo $rowpro['color']; ?>"><?php echo $rowpro['color']; ?></option>
                                                                                    <option  disabled="" value="">Seleccione</option>
                                                                                    <?php
                                                                                    $sql2 = "SELECT * FROM color";
                                                                                    $query2 = $conn->query($sql2);
                                                                                    if ($query2->num_rows > 0) {
                                                                                        while ($row2 = $query2->fetch_assoc()) {
                                                                                            ?>
                                                                                            <option value="<?php echo $row2['color'] ?>"><?php echo $row2['color'] ?></option>
                                                                                            <?php
                                                                                        }
                                                                                    }
                                                                                    ?>
                                                                                </select>
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, seleccione un color.</div>
                                                                            </div>


                                                                            <div class="col-md-2 mt-2">
                                                                                <label class="form-label" for="validationCustom01">Color 2</label>
                                                                                <select class="form-select choices-3 " id="validationCustom04" required="" name="color2" >
                                                                                    <option selected="" value="<?php echo $rowpro['color2']; ?>"><?php echo $rowpro['color2']; ?></option>
                                                                                    <option  disabled="" value="">Seleccione</option>
                                                                                    <?php
                                                                                    $sql21 = "SELECT * FROM color";
                                                                                    $query21 = $conn->query($sql21);
                                                                                    if ($query21->num_rows > 0) {
                                                                                        while ($row21 = $query21->fetch_assoc()) {
                                                                                            ?>
                                                                                            <option value="<?php echo $row21['color'] ?>"><?php echo $row21['color'] ?></option>
                                                                                            <?php
                                                                                        }
                                                                                    }
                                                                                    ?>
                                                                                </select>
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, seleccione un color.</div>
                                                                            </div>

                                                                            <div class="col-md-3 mt-2">
                                                                                <label class="form-label" for="validationCustom01">Categoria</label>
                                                                                <select class="form-select choices-3 " id="validationCustom04" required="" name="categoria">
                                                                                    <option selected="" value="<?php echo $rowpro['categoria']; ?>"><?php echo $rowpro['categoria']; ?></option>
                                                                                    <option  disabled="" value="">Seleccione</option>
                                                                                    <?php
                                                                                    $sql3 = "SELECT * FROM categoria_producto";
                                                                                    $query3 = $conn->query($sql3);
                                                                                    if ($query3->num_rows > 0) {
                                                                                        while ($row3 = $query3->fetch_assoc()) {
                                                                                            ?>
                                                                                            <option value="<?php echo $row3['categoria'] ?>"><?php echo $row3['categoria'] ?></option>
                                                                                            <?php
                                                                                        }
                                                                                    }
                                                                                    ?>
                                                                                </select>
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, seleccione una categoria.</div>
                                                                                <div class="col-sm-9">
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-md-2 mt-2">
                                                                                <label class="form-label" for="validationCustom01">Clase</label>
                                                                                <select class="form-select choices-2 " id="validationCustom04" required="" name="clase">
                                                                                    <option selected="" value="<?php echo $rowpro['clase']; ?>"><?php echo $rowpro['clase']; ?></option>
                                                                                    <option  disabled="" value="">Seleccione</option>
                                                                                    <?php
                                                                                    $sql6c = "SELECT * FROM clase";
                                                                                    $query6c = $conn->query($sql6c);
                                                                                    if ($query6c->num_rows > 0) {
                                                                                        while ($row6c = $query6c->fetch_assoc()) {
                                                                                            ?>

                                                                                            <option value="<?php echo $row6c['clase'] ?>"><?php echo $row6c['clase'] ?></option>
                                                                                            <?php
                                                                                        }
                                                                                    }
                                                                                    ?>
                                                                                </select>
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, seleccione una clase.</div>
                                                                                <div class="col-sm-9">
                                                                                </div>
                                                                            </div>
                                                                            <div class="col-md-2 mt-2">
                                                                                <label class="form-label" for="validationCustom02">Peso Grm.</label>
                                                                                <input class="form-control" id="validationCustom02" type="text" required="" name="peso" value="<?php echo $rowpro['peso']; ?>">
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, Digite la informacio necesaria.</div>
                                                                            </div>
                                                                            <div class="col-md-2 mt-2">
                                                                                <label class="form-label" for="validationCustom02">Precio venta</label>
                                                                                <input class="form-control" id="validationCustom02" type="text" required="" name="precio_venta" value="<?php echo $rowpro['precio_venta']; ?>">
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, Digite la informacio necesaria.</div>
                                                                            </div>
                                                                            <div class="col-md-2 mt-2">
                                                                                <label class="form-label" for="validationCustom02">Habilitado</label>
                                                                                <select class="form-select choices-2 " id="validationCustom04" required="" name="habilitado">
                                                                                    <option selected="" value="<?php echo $rowpro['habilitado']; ?>"><?php echo $rowpro['habilitado']; ?></option>
                                                                                    <option  disabled="" value="">Seleccione</option>
                                                                                    <option value="Si">Si</option>
                                                                                    <option value="No">No</option>
                                                                                </select>                  
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, Digite la informacio necesaria.</div>
                                                                            </div>
                                                                            <div class="col-md-4 mt-2">
                                                                                <label class="form-label" for="validationCustom02">Descripcion</label>
                                                                                <textarea class="form-control" id="validationCustom02" type="text" required="" name="descripcion"><?php echo $rowpro['descripcion']; ?></textarea>
                                                                                <div class="valid-feedback">Se ve bien!</div>
                                                                                <div class="invalid-feedback">Por favor, digite los metros por prenda.</div>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                    <div class="modal-footer">
                                                                        <?php
                                                                        $sql9 = "SELECT COUNT(id) as contador FROM talla_producto WHERE referencia_producto='" . $rowpro['referencia'] . "' ";
                                                                        $query9 = $conn->query($sql9);
                                                                        $row9 = $query9->fetch_assoc();

                                                                        if ($row9['contador'] > 0) {
                                                                            
                                                                        } else {
                                                                            ?>
                                                                            <button type="submit" class="btn btn-danger px-5 radius-30" name="eliminar"
                                                                                    onclick="if (!confirm('Seguro deseas elminar este registro?')) {
                                                                                                    return false
                                                                                                }">Eliminar</button>
                                                                                    <?php
                                                                                }
                                                                                ?>


                                                                        <button type="submit" class="btn btn-warning px-5 radius-30" name="editar">Guardar cambios</button>
                                                                    </div>
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>

                                                </th>
                                            </tr>
                                        </thead>
                                    </table>
                                </div>
                                <style>

                                    #hover_enlace:hover{
                                        color: orange;
                                        box-shadow: 0px 0px 5px 0px #923EB9;
                                    }

                                </style>

                                <div class="col-12 col-md-8 col-lg-9">
                                    <div class="row">
                                        <div class="col-6 col-md-3 col-lg-3 ">
                                            <?php
                                            if ($rowpro['foto1'] == 'NO APLICA') {
                                                ?>
                                                <form  method="POST" action="script/foto1.php"  enctype="multipart/form-data" >
                                                    <input type="text" class="form form-control" name="referencia_producto" value="<?php echo $referencia; ?>" hidden>

                                                    <div id="hover_enlace">
                                                        <input type="file" name="file" class="dropify" required=""/>
                                                    </div>
                                                    <div class="text-right mt-1">
                                                        <button type="submit" name="editar" class="btn btn-primary w-100" >
                                                            Guardar foto 1
                                                        </button>
                                                    </div>
                                                </form>
                                                <?php
                                            } else {
                                                ?>

                                                <div class="card mb-4" >
                                                    <a class="" style="height: 180px; width: 100%;"  href="#!"  data-bs-toggle="modal" data-bs-target="#foto1">
                                                        <img class="" src="../../img-producto/<?php echo $rowpro['foto1']; ?>"  style="object-fit: contain; width:100%; height:100%;" alt="Image 1">
                                                    </a>
                                                    <div class="card-body p-3 p-lg-4">
                                                        <h6 class="card-title fw-bold mb-1">FOTO 1</h6>
                                                        <a class="text-danger"   href="script/foto1-eliminar.php?referencia=<?php echo $referencia; ?>&&archivo=<?php echo $rowpro['foto1']; ?>" 
                                                           onclick="if (!confirm('Seguro deseas elminar esta foto?')) {
                                                                           return false
                                                                       }" >
                                                            Remover
                                                        </a>
                                                    </div>
                                                </div>

                                                <!-- Modal -->
                                                <div class="modal fade" id="foto1" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title card-heading" id="exampleModalLabel">FOTO PRODUCTO - <?php echo $referencia; ?></h5>
                                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                            </div>
                                                            <form class=" g-3 needs-validation" novalidate="" method="POST">

                                                                <div class="modal-body ">
                                                                    <img class="card-img-top" src="../../img-producto/<?php echo $rowpro['foto1']; ?>" alt="Image 1">

                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php
                                            }
                                            ?>

                                        </div>


                                        <div class="col-6 col-md-3 col-lg-3">
                                            <?php
                                            if ($rowpro['foto2'] == 'NO APLICA') {
                                                ?>
                                                <form  method="POST" action="script/foto2.php"  enctype="multipart/form-data">
                                                    <input type="text" class="form form-control" name="referencia_producto" value="<?php echo $referencia; ?>" hidden>

                                                    <div id="hover_enlace">
                                                        <input type="file" name="file" class="dropify" required=""/>
                                                    </div>
                                                    <div class="text-right mt-1">
                                                        <button type="submit" name="editar" class="btn btn-primary w-100" >
                                                            <span id="payment-button-amount">Guardar foto 2</span>
                                                        </button>
                                                    </div>

                                                </form>
                                                <?php
                                            } else {
                                                ?>

                                                <div class="card mb-4">
                                                    <a href="#!"  data-bs-toggle="modal" data-bs-target="#foto2">
                                                        <div class="" style="height: 180px; width: 100%;">
                                                            <img class="" src="../../img-producto/<?php echo $rowpro['foto2']; ?>" style="object-fit: contain; width:100%; height:100%;" >
                                                        </div>
                                                    </a>
                                                    <div class="card-body p-3 p-lg-4">
                                                        <h6 class="card-title fw-bold mb-1">FOTO 2</h6>
                                                        <a class="text-danger"   href="script/foto2-eliminar.php?referencia=<?php echo $referencia; ?>&&archivo=<?php echo $rowpro['foto2']; ?>" 
                                                           onclick="if (!confirm('Seguro deseas elminar esta foto?')) {
                                                                           return false
                                                                       }" >
                                                            Remover
                                                        </a>
                                                    </div>
                                                </div>

                                                <!-- Modal -->
                                                <div class="modal fade" id="foto2" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title card-heading" id="exampleModalLabel">FOTO PRODUCTO - <?php echo $referencia; ?></h5>
                                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                            </div>
                                                            <form class=" g-3 needs-validation" novalidate="" method="POST">

                                                                <div class="modal-body ">
                                                                    <img class="card-img-top" src="../../img-producto/<?php echo $rowpro['foto2']; ?>" alt="Image 1">

                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>



                                                <?php
                                            }
                                            ?>

                                        </div>


                                        <div class="col-6 col-md-3 col-lg-3">
                                            <?php
                                            if ($rowpro['foto3'] == 'NO APLICA') {
                                                ?>
                                                <form  method="POST" action="script/foto3.php"  enctype="multipart/form-data">
                                                    <input type="text" class="form form-control" name="referencia_producto" value="<?php echo $referencia; ?>" hidden>

                                                    <div id="hover_enlace">
                                                        <input type="file" name="file" class="dropify" required=""/>
                                                    </div>
                                                    <div class="text-right mt-1">
                                                        <button type="submit" name="editar" class="btn btn-primary w-100" >
                                                            <span id="payment-button-amount" >Guardar foto 3</span>
                                                        </button>
                                                    </div>
                                                </form>
                                                <?php
                                            } else {
                                                ?>

                                                <div class="card mb-4">
                                                    <a   href="#!"  data-bs-toggle="modal" data-bs-target="#foto3">
                                                        <div class="" style="height: 180px; width: 100%;">

                                                            <img class="card-img-top" src="../../img-producto/<?php echo $rowpro['foto3']; ?>"  style="object-fit: contain; width:100%; height:100%;" alt="Image 1">
                                                        </div>
                                                    </a>
                                                    <div class="card-body p-3 p-lg-4">
                                                        <h6 class="card-title fw-bold mb-1">FOTO 3</h6>
                                                        <a class="text-danger"   href="script/foto3-eliminar.php?referencia=<?php echo $referencia; ?>&&archivo=<?php echo $rowpro['foto3']; ?>" 
                                                           onclick="if (!confirm('Seguro deseas elminar esta foto?')) {
                                                                           return false
                                                                       }" >
                                                            Remover
                                                        </a>
                                                    </div>
                                                </div>

                                                <!-- Modal -->
                                                <div class="modal fade" id="foto3" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title card-heading" id="exampleModalLabel">FOTO PRODUCTO - <?php echo $referencia; ?></h5>
                                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                            </div>
                                                            <form class=" g-3 needs-validation" novalidate="" method="POST">

                                                                <div class="modal-body ">
                                                                    <img class="card-img-top" src="../../img-producto/<?php echo $rowpro['foto3']; ?>" alt="Image 1">

                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php
                                            }
                                            ?>

                                        </div>


                                        <div class="col-6 col-md-3 col-lg-3">
                                            <?php
                                            if ($rowpro['foto4'] == 'NO APLICA') {
                                                ?>
                                                <form  method="POST" action="script/foto4.php"  enctype="multipart/form-data">
                                                    <input type="text" class="form form-control" name="referencia_producto" value="<?php echo $referencia; ?>" hidden>

                                                    <div id="hover_enlace">
                                                        <input type="file" name="file" class="dropify" required=""/>
                                                    </div>
                                                    <div class="text-right mt-1">
                                                        <button type="submit" name="editar" class="btn btn-primary w-100" >
                                                            <span id="payment-button-amount" >Guardar foto 4</span>
                                                        </button>
                                                    </div>
                                                </form>
                                                <?php
                                            } else {
                                                ?>

                                                <div class="card mb-4">
                                                    <a   href="#!"  data-bs-toggle="modal" data-bs-target="#foto4">
                                                        <div class="" style="height: 180px; width: 100%;">

                                                            <img class="card-img-top" src="../../img-producto/<?php echo $rowpro['foto4']; ?>" style="object-fit: contain; width:100%; height:100%;">
                                                        </div>
                                                    </a>
                                                    <div class="card-body p-3 p-lg-4">
                                                        <h6 class="card-title fw-bold mb-1">FOTO 4</h6>
                                                        <a class="text-danger"   href="script/foto4-eliminar.php?referencia=<?php echo $referencia; ?>&&archivo=<?php echo $rowpro['foto4']; ?>" 
                                                           onclick="if (!confirm('Seguro deseas elminar esta foto?')) {
                                                                           return false
                                                                       }" >
                                                            Remover
                                                        </a>
                                                    </div>
                                                </div>

                                                <!-- Modal -->
                                                <div class="modal fade" id="foto4" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                    <div class="modal-dialog modal-lg">
                                                        <div class="modal-content">
                                                            <div class="modal-header">
                                                                <h5 class="modal-title card-heading" id="exampleModalLabel">FOTO PRODUCTO - <?php echo $referencia; ?></h5>
                                                                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                                                            </div>
                                                            <form class=" g-3 needs-validation" novalidate="" method="POST">

                                                                <div class="modal-body ">
                                                                    <img class="card-img-top" src="../../img-producto/<?php echo $rowpro['foto4']; ?>" alt="Image 1">

                                                                </div>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                                <?php
                                            }
                                            ?>

                                        </div>
                                    </div>
                                </div>
                                <script>

                                    $('.dropify').dropify();


                                </script>
                            </div>
                        </div>
                    </div>


                    <div class="card">
                        <div class="card-body">
                            <div class="table-responsive">
                                <table class="table  table-sm table-bordered ">
                                    <thead>
                                        <tr class="" style="">
                                            <th class="text-center p-1" rowspan="2"  style="width: 10%; ">Tallas</th>
                                            <th class="text-center p-1" rowspan="2" style="width: 10%; ">Estandar</th>
                                            <th class="text-center p-1" rowspan="2" style="width: 10%; ">Produccion</th>

                                            <th class="text-center p-1" colspan="2">Movimientos</th> 
                                            <th class="text-center p-1" colspan="3">Despachos</th> 
                                            <th class="text-center p-1" style="width: 10%; "  rowspan="2">Disponible</th>
                                        </tr>
                                        <tr class="" style="">
                                            <th class="text-center p-1" style="width: 10%; ">Entradas y Devoluciones</th>
                                            <th class="text-center p-1" style="width: 10%; ">Salidas</th>
                                            <th class="text-center p-1" style="width: 10%; ">Proceso</th>
                                            <th class="text-center p-1" style="width: 10%; ">Enviado</th>
                                            <th class="text-center p-1" style="width: 10%; ">Recibido</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $total_disponible = 0;
                                        $sql = "SELECT talla FROM produccion_detalle WHERE referencia_producto='$referencia'
                                                UNION
                                                SELECT talla FROM despacho_detalle WHERE referencia_producto='$referencia'
                                                UNION
                                                SELECT talla FROM novedad WHERE referencia_producto='$referencia' AND movimiento='Entrada' 
                                                UNION
                                                SELECT talla FROM talla_producto WHERE referencia_producto='$referencia' GROUP BY talla ORDER BY talla asc";
                                        $query = $conn->query($sql);
                                        if ($query->num_rows > 0) {
                                            while ($row = $query->fetch_assoc()) {

                                                $sqlca = "SELECT SUM(cantidad) as cantidad FROM talla_producto WHERE referencia_producto='$referencia' AND talla='" . $row['talla'] . "'";
                                                $queryca = $conn->query($sqlca);
                                                $rowca = $queryca->fetch_assoc();

                                                $cantidad_estandar = $rowca['cantidad'];

                                                $sqlca1 = "SELECT SUM(cantidad) as produccion FROM produccion_detalle WHERE referencia_producto='$referencia' AND talla='" . $row['talla'] . "'";
                                                $queryca1 = $conn->query($sqlca1);
                                                $rowca1 = $queryca1->fetch_assoc();

                                                $cantidad_produccion = $rowca1['produccion'];
                                                ?>
                                                <tr >
                                                    <td class="text-center">
                                                        <a href="historial.php?referencia=<?php echo $referencia ?>&&talla=<?php echo $row['talla']; ?>" class="text-dark">
                                                            <div class=""   id="hover_enlace">
                                                                <strong style="font-size: 12px;">T - <?php echo $row['talla']; ?></strong> <i class="fas fa-file-signature float-end text-warning"></i>
                                                            </div>
                                                        </a>
                                                    </td>
                                                    <td class="text-center text-info"><strong><?php echo number_format($cantidad_estandar, 0); ?></strong></td>
                                                    <td class="text-center text-info"><strong><?php echo number_format($cantidad_produccion, 0); ?></strong></td>

                                                    <td class="text-center text-info">
                                                        <?php
                                                        //Prendas en proceso y confirmado
                                                        $sql1 = "SELECT SUM(cantidad) as entrada FROM novedad WHERE referencia_producto='$referencia' AND talla='" . $row['talla'] . "' AND movimiento='Entrada'";
                                                        $query1 = $conn->query($sql1);
                                                        $row1 = $query1->fetch_assoc();

                                                        $entrada = $row1['entrada'];
                                                        ?>
                                                        <strong><?php echo number_format($entrada, 0); ?></strong>

                                                    </td>

                                                    <td class="text-center text-danger">
                                                        <?php
                                                        //Prendas en proceso y confirmado
                                                        $sql2 = "SELECT SUM(cantidad) as salida FROM novedad WHERE referencia_producto='$referencia' AND talla='" . $row['talla'] . "' AND movimiento='Salida'";
                                                        $query2 = $conn->query($sql2);
                                                        $row2 = $query2->fetch_assoc();

                                                        $salida = $row2['salida'];
                                                        ?>
                                                        <strong><?php echo number_format($salida, 0); ?></strong>

                                                    </td>

                                                    <td class="text-center text-danger">
                                                        <?php
                                                        //Prendas en proceso y confirmado
                                                        $sql3 = "SELECT SUM(cantidad) as proceso FROM despacho_detalle WHERE referencia_producto='$referencia' AND talla='" . $row['talla'] . "' AND estado='Proceso'";
                                                        $query3 = $conn->query($sql3);
                                                        $row3 = $query3->fetch_assoc();

                                                        $proceso = $row3['proceso'];
                                                        ?>
                                                        <strong><?php echo number_format($proceso, 0); ?></strong>
                                                    </td>

                                                    <td class="text-center text-danger">
                                                        <?php
                                                        //Prendas en Alistamiento
                                                        $sql5 = "SELECT SUM(cantidad) as enviado FROM despacho_detalle WHERE referencia_producto='$referencia' AND talla='" . $row['talla'] . "' AND estado='Enviado'";
                                                        $query5 = $conn->query($sql5);
                                                        $row5 = $query5->fetch_assoc();

                                                        $enviado = $row5['enviado'];
                                                        ?>
                                                        <strong><?php echo number_format($enviado, 0); ?></strong>
                                                    </td>

                                             


                                                    <td class="text-center text-danger">
                                                        <?php
                                                        //Prendas en recibido
                                                        $sql9 = "SELECT SUM(cantidad) as recibido FROM despacho_detalle WHERE referencia_producto='$referencia' AND talla='" . $row['talla'] . "' AND estado='recibido'";
                                                        $query9 = $conn->query($sql9);
                                                        $row9 = $query9->fetch_assoc();

                                                        $recibido = $row9['recibido'];
                                                        ?>
                                                        <strong><?php echo number_format($recibido, 0); ?></strong>
                                                    </td>


                                                    <?php
                                                    $disponible = ($cantidad_estandar + $entrada + $cantidad_produccion ) - (
                                                            $salida +
                                                            $proceso +
                                                            $enviado +
                                                            $recibido);

                                                    if ($disponible > 0) {
                                                        $color_disponible = 'bg-light-success text-success';
                                                    } elseif ($disponible < 0) {
                                                        $color_disponible = 'bg-light-danger text-danger';
                                                    } else {
                                                        $color_disponible = ' text-dark';
                                                    }
                                                    ?>
                                                    <td class="text-center <?php echo $color_disponible; ?>">
                                                        <strong><?php echo $disponible ?></strong>
                                                    </td>
                                                </tr>
                                                <?php
                                                $total_disponible += $disponible;
                                            }
                                        }
                                        ?>

                                    </tbody>
                                    <tfoot>
                                        <tr>
                                            <th class="text-end" colspan="8">Total</th>
                                            <th class="text-center"><?php echo $total_disponible; ?></th>
                                        </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>

                    <div class="card">
                        <div class="card-body">
                            <div class="text-center">
                                <h1><b>$ <?php echo number_format($total_disponible * $rowpro['precio_venta'], 0); ?></b></h1>
                            </div>
                        </div>
                    </div>

                </div>
                <?php echo include '../general/footer.php'; ?>
            </div>
        </div>
        <!--end wrapper-->
        <?php echo include '../general/libreria-js.php'; ?>
    </body>
</html>